/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.','jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,'.',3,';',0,'document.','getElementById','||!',17,'childNodes||!',17,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your ','browser',' doesn\'t seem to have this.");}','else{',1,'.',3,'={version:"3.4a",document:document,',1,':',1,',','platform',':(','navigator.',40,'.match(/','Mac/)?"mac":',42,40,44,'Win/)?"pc":"unix"),sizes:[50,60,70,85,100,120,144,173,207,249],','styles',':{".math','":"font-family',':serif; font-style:normal; font-weight:normal','",".typeset',52,53,'; ','line-height:normal','","div.','typeset','":"text-align',':center; margin:1em 0px;","span.',60,61,':left',54,' span',61,65,'; border:','0px; margin:0px; ','padding:0px','",".typeset .','normal',52,53,73,'size0','":"font-size:','50','%",".typeset .','size1',79,'60',81,'size2',79,'70',81,'size3',79,'85',81,'size4',79,'100',81,'size5',79,'120',81,'size6',79,'144',81,'size7',79,'173',81,'size8',79,'207',81,'size9',79,'249',81,'cmr10',52,':',3,'-cmr10',', serif',73,'cmbx10',52,':',3,'-',125,', ',3,122,73,'cmti10',52,':',3,'-',135,', ',3,122,73,'cmmi10',52,':',3,'-',145,73,'cmsy10',52,':',3,'-',152,73,'cmex10',52,':',3,'-cmex10',73,'textit',52,':serif; ','font-style:italic',73,'textbf',52,':serif; font-weight:bold',73,'link":"','text-decoration:none',73,'error',79,'10pt; ',168,'; "+"','background-color',':#FFFFCC; padding:1px',181,'border:','1px solid',' #CC0000',73,'blank','":"','display:inline-block','; ','overflow:hidden',70,'0px none; width:0px','; height:','0px;",".',60,' .','spacer','":"',191,'","#jsMath_hiddenSpan":"','visibility',':','hidden','; ','position:absolute','; top:0px',';left:0px',181,58,'; text-indent:0px","#','jsMath_message','":"','position:fixed','; bottom:','1px; left:2px; ',182,':#E6E6E6','; "+"border:solid 1px #959595; margin:0px; padding:','1px 8px','; "+"z-index:102; color',': black','; font-size:','small; ','width:auto',';","#','jsMath_panel','":"',216,217,'1.5em; right:1.5em','; padding:.8em 1.6em',181,182,':#DDDDDD',70,'outset 2px',181,'z-index:103; ',227,'; color:black',225,'10pt; font-style:normal","#',229,' .disabled":"color:#888888","#',229,' .infoLink',79,'85%","#',229,' *":"','font-size:inherit; font-style:inherit; font-family:inherit','; ',58,'","#',229,' div":"',182,':inherit; color:inherit;","#',229,' span":"',182,261,229,' td','":"border:0px; padding:0px; margin:0px; background-color:inherit; color:inherit;","#',229,' tr',268,229,' table',268,'jsMath_button','":"',216,217,'1px; right:2px; ',182,':white',221,'0px 3px 1px 3px',223,':black; ',175,225,'x-small',181,227,'; cursor:hand;","#',275,253,72,70,71,58,181,254,'","#jsMath_global":"',168,';","#jsMath_float','":"',208,209,'; left:0px; max-width:80%; "+"z-index:101; ',227,'; height:auto',302,' .drag":"',182,':#DDDDDD',70,'outset 1px',196,'12px',225,'1px',302,' .close":"',182,220,70,'inset 1px; width:8px',196,'8px; margin:1px 2px',302,' .source":"',182,':#E2E2E2',70,314,181,227,308,'; padding:8px 15px',181,'font-family:courier, fixed',225,'90%","#jsMath_noFont .message',61,': center',234,70,'3px solid #DD0000',181,182,':#FFF8F8; color: #AA0000',225,226,227,228,'jsMath_noFont .link','":"',72,' 5px 2px 5px',70,'2px outset; ',182,':#E8E8E8',181,'color:black',225,'80%; ',227,291,'jsMath_PrintWarning',' .message',61,':center',234,70,'3px solid #DD0000',181,182,': #FFF8F8; color: #AA0000',225,'x-',226,227,';","@media print":"#',275,' {display:none','}\\n"+"#jsMath_Warning',383,'}","@media screen":"#',367,383,'}"},Element',':function(','_1){return ',7,17,18,'("jsMath_"+_1);},','BBoxFor',390,'s','){this.','hidden.innerHTML','="<nobr><','span class=\\"',60,'\\"><',402,'scale\\">"+s+"</span></span></nobr>";var _3={w:this.',206,'.offsetWidth',',h:this.',206,'.offsetHeight','};this.',400,'="";return _3;},EmBoxFor',390,'s',9,'_5=',7,'Global.cache','.R;',0,'_5[this.em]){_5[this.em]={};}',0,'_5','[this.em][s',']){var _6','=this.BBoxFor','(s);_5',426,']={w:_6.w/this.em,h:_6','.h/this.em};}return ','_5',426,'];},','EmBoxForItalics',390,'s',9,'_8=',7,420,'.R;',0,'_8[this.em]){_8[this.em]={};}',0,'_8',426,']){var _9',428,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_9.w',428,'(s+',7,'Browser.','italicString',').w-',7,455,'italicCorrection',';}_8',426,']={w:_9.w/this.em,h:_9',432,'_8',426,'];},Init',':function(){','if(',7,'Setup.inited','!=1){',0,7,471,'){',7,'Setup.','Body();}if(',7,471,'!=1){if(',7,471,'==-100','){return;}',25,'It looks like ',3,' failed to set up properly (error code "+',7,471,'+").  "+"I will try to keep going, but it could get ugly.");',7,471,'=1;}}this.em',428,'("<span style=\\""+',7,455,'block+";','width:13em;height:1em','\\"></span','>").w/13;if(this.em==0',399,'em',428,'("<img src=\\""+',7,189,'+"\\" style=\\"',502,'\\"/>").w/13;}var _a=',7,420,'.B;',0,'_a[this.em]){_a[this.em]={};','_a[this.em].','bb',428,'("x");var hh=',519,'bb.h;',519,'d',428,'("x"+',7,'HTML.Rule(1,','hh/',7,'em)).h-hh;if(',7,455,456,'){',519,'ic=',7,396,'(',7,455,456,').w;}}',7,455,460,'=',519,'ic;var bb=',519,'bb;var h=bb.h;var d=',519,'d;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',478,'TeXfonts','();var _f=this.EmBoxFor("<',402,118,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',399,478,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(','this.TeX.cmex10[0].','h+',570,'d)/0.85;',564,'=1;},ReInit',468,'var w',428,'("x").w;if(w!=this.xWidth',399,'Init();}},Loaded',468,'if(',10,9,'_11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;i++){if(',10,'[_11[i]]){delete ',10,'[_11[i]];}}}if(',10,'){this.Insert(',3,',',10,');}',10,'=null;',7,8,'=1;},Add',390,'dst,src){for(var id in src){','dst[id]=src[id','];}},Insert',390,606,'if(dst[id]&&typeof (src[id])=="object"&&(','typeof (dst[id])=="','object"||',612,'function")){this.Insert(dst[id],src[id]);}',31,607,'];}}},Package',390,'obj,def',595,'obj.prototype,def);}};',7,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',468,7,420,'={',625,':{}};},GoGlobal',390,'_1b',9,'url=String(',7,1,'.','location);','var c=(',7,'isCHMmode','?"#":"?");if(_1b){url=url.replace(/\\?.*/,"")+"?"+_1b;}',7,'Controls.','Reload(',7,'root+"',3,'-global.html"+c+escape(url));},Init',468,'if(',7,'Controls.cookie.','global=="always"&&!',7,'noGoGlobal','){','if(navigator.','accentColorName',486,0,7,1,'){',7,1,'=',1,';}',7,646,8,'=1;',7,646,'defaults.hiddenGlobal',601,'this.GoGlobal(',7,646,'SetCookie(2));}},Register',468,'var _1e=',7,1,'.parent;',0,7,'isCHMode){',7,643,'=(',7,1,'.','location.protocol','=="mk:");}try{',0,7,643,399,'Domain();}if(_1e.',3,'&&_1e.',7,'isGlobal){_1e.',7,'Register(',7,1,');}}','catch(err','){',7,658,'=1;}},Domain',468,660,'appName=="Microsoft Internet Explorer"&&',7,40,'=="mac"&&',42,'userProfile','!=null',486,'if(',1,'==parent',486,'var _1f=',7,17,'domain;try{while(true){try{if(parent.',17,'title',727,'){return;}}',714,'){}',0,17,'domain.match(/\\..*\\./)){break;}',7,17,'domain=',7,17,'domain.replace(/^[^.]*\\./,"");}}',714,'){}',7,17,748,'_1f;}};',7,'Script={request:null,Init',468,'if(!(',7,655,'asynch&&',7,655,'progress',')){if(',1,'.XMLHttpRequest','){try{','this.request','=new XMLHttpRequest;}',714,'){}}',0,772,'&&',1,'.','ActiveXObject',9,'xml=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',784,'.3',784,'","Microsoft.XMLHTTP"];',587,'xml.length&&!',772,';i++){try{',772,'=new ',781,'(xml[i]);}',714,'){}}}}',0,772,'||',7,478,'domainChanged',399,'Load=this.delayedLoad;this.needsBody=1;}},Load',390,'url,_23){if(_23){',7,'Message.Set("Loading "+url);',7,'Script.','Delay(1);',7,'Script.Push(','this,"xmlRequest",url',');',7,816,7,'Message',',"Clear");}',31,7,816,817,');}},xmlRequest',390,'url){','this.blocking','=1;try{',772,'.open("GET",url,false);',772,'.send(null);}',714,'){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',822,': "+err.message;}if(',772,'.status','&&',772,842,'>=400',838,'Error status: "+',772,842,';}',0,'url.match(/\\.js$/)){','return (',772,'.responseText',');}var _25=','this.queue',';',858,'=[];',7,1,'.eval(',772,856,');',831,'=0;','this.queue=this.queue.concat(','_25);this.Process();return "";},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',390,'_26,_27){','if(typeof (','_26)!="string"){',7,816,'null,_26,_27);}',31,7,816,7,1,',"eval",_26);}},Push',390,'_28,_29,_2a){',858,'[',858,'.length]=[_28,_29,_2a];if(!(',831,'||(this.needsBody&&!',7,17,'body))){this.Process();}},Process',468,'while(',858,'.length&&!',831,9,'_2b=',858,'[0];var _2c=',858,'.slice(1);',858,'=[];var _2d=_2b[0];var _2e=_2b[1];var _2f=_2b[2];if(_2d){_2d[_2e](_2f);}',31,'if(_2e){_2e(_2f);}}',870,'_2c);}},delayedLoad',390,'url',399,'Push(this,"startLoad",url);},startLoad',390,'url){','this.iframe','=',7,17,23,'("iframe");','this.iframe.style.',204,'="',206,'";',925,'position="absolute";',925,'width="0px";',925,'height="0px";if(',7,17,'body.firstChild','){',7,17,'body.insertBefore(',919,',',7,17,938,');}',31,7,17,'body','.appendChild(',919,');}',831,'=1;this.','url=url;',0,853,919,'.src=url;}',31,919,'.src=',7,649,3,'-loader.html";}if(url.substr(0,',7,'root.length',')==',7,'root){url=url.substr(',7,971,');}',7,811,'this.cancelTimer','=setTimeout("',7,813,'cancelLoad','()",this.cancelTimeout);},endLoad',390,'_32){if(',980,'){clearTimeout(',980,');',980,'=null;}',7,822,'.Clear();if(_32!="cancel"){',831,'=0;this.Process','();}},Start',468,'this.tmpQueue','=',858,';',858,'=[];},End',468,870,1001,');delete ',1001,';},',984,468,980,601,7,822,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',390,'_33){',831,'=1;setTimeout("',7,813,'endDelay','()",_33);},',1026,468,831,998,'();},','imageCount',':0,WaitForImage',390,'_34){',831,957,1033,'++;if(this.img==null',399,'img=[];}var img=new Image',568,'img[this.img.length]=img;img.onload=function(){if(--',7,813,1033,'==0){',7,813,1026,'();}};img.onerror','=img.onload;img.','onabort',1053,'src=_34;},Uncompress',390,'_36){','for(var k=0;k<','_36.length;k++){var d=_36[k];var n=d.length;',587,'n;i++){',874,'d[i])=="number"){d[i]=d[d[i]];}}_36[k]=d.join("");}',1,864,'_36.join(""));}};',7,822,'={',189,':null,message:null,text:null,clear:null,Init',468,0,7,17,'body||!',7,655,767,486,'if(',7,478,'stylesReady){','this.message','=',7,'Setup.DIV("message",{visibility:"hidden','"});}',31,1086,'=',7,1089,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',7,17,'createTextNode','("");',1086,953,1100,');',1086,'.onmousedown=',7,'Translate.Cancel;},Set',390,'_3b,_3c){','if(this.clear){clearTimeout(this.clear',');','this.clear',993,'if(',7,655,767,'){',0,1100,399,'Init();',0,1100,740,'if(',7,455,'textNodeBug','){',1086,'.innerHTML','=_3b;}',31,1100,'.nodeValue',1139,'this.message.style.',204,'="visible";if(_3c){',1144,'cursor="pointer";',0,1144,'cursor){',1144,'cursor="hand";}',1086,'.title=" Cancel Processing of Math ";}',31,1144,'cursor="";',1086,'.title="";}}',31,'if(_3b.substr(0,8)!="Loading "){',7,1,842,'=_3b;}}},Clear',468,1116,');}',1118,'=setTimeout("',7,822,'.doClear()",1000);},doClear',468,'if(',1118,399,'clear',601,7,1,842,'="";if(',1100,'){',1100,1142,'="";}if(',1086,'){',1144,204,'="',206,'";}}},Blank',468,'if(','this.blank','||!',7,17,'body',486,1199,'=',7,478,'DIV("',189,'",{position:(',7,455,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',1098,':"white"});if(',7,455,'msieBlankBug','){',1199,1138,'="&nbsp;";',1199,'.style.width="110%";',1199,'.style.height="110%";}},UnBlank',468,'if(',1199,'){',7,17,'body.removeChild(',1199,');}',1199,'=null;}};',7,'Setup={',8,':[],DIV',390,'id,_3e',9,'div=',7,17,23,'("div");div.id="jsMath_"+id;','for(var i in ','_3e){div.style[i]=_3e[i];}',0,7,17,'body.hasChildNodes){',7,17,'body',953,'div);}',31,7,17,942,'div,',7,17,938,');}return div;},Script',390,'_41,_42){if(','this.loaded[_41',']){return;}',31,1274,']=1;}',0,'_41.match("^([a-zA-Z]+:/?)?/")){_41=',7,'root+_41;}',7,813,'Load(_41,_42);},Hidden',468,7,206,'=this.DIV("Hidden",{',204,':"',206,1096,'top:0,left:0,border:0,padding:0,margin:0});',7,'hiddenTop=',7,206,';return;},Source',468,'if(',7,'Autoload&&',7,'Autoload.root','){',7,'root=',7,1305,';}',31,7,'root="";var _43=',7,17,'getElementsByTagName("','script");if(_43){',587,'_43','.length;i++){var ','src=_43[i].src;if(src&&src.match("(^|/)',7,'js$")){',7,1308,'src.','replace(/',7,'js$/,"");i=_43.length;}}}}if(',7,'root.charAt(0)=="/"){',7,1308,7,17,698,'+"//"+',7,17,'location.host+',7,'root;}',31,0,7,'root.match','(/^[a-z]+:/i)){src','=new String(',7,17,640,7,1308,'src','.replace(new RegExp','("[^/]*$"),"")+',7,'root;while(',7,1347,'("/[^/]*/\\\\.\\\\./")){',7,1308,7,'root',1356,'("/[^/]*/\\\\.\\\\./"),"/");}}}',7,'Img.',1308,7,649,'fonts/";',7,189,'=',7,649,189,'.gif";this.Domain();},Domain',468,'try{',7,17,'domain;}',714,486,'var _46="";var _47=',7,17,'domain;if(',7,1347,'("://([^/]*)/")){_46=RegExp.$1;}_46=_46.replace(/:\\d+$/,"");if(_46==""||_46==_47',486,660,'appName=="Microsoft Internet Explorer"&&',7,40,'=="mac"&&',42,'onLine&&',42,726,'&&',7,17,'all',486,'_46=_46.split(/\\./);_47=_47.split(/\\./);if(_46.length<2||_47.length<2||','_46[_46.length-','1',']!=_47[_47.length-','1]||',1412,'2',1414,'2]){this.','DomainWarning','();return;}var _48=',1412,'2]+"."+',1412,'1];for(var i=3;i<=_46.length&&i<=_47',589,1412,'i',1414,'i]){break;}_48=',1412,'i]+"."+_48;}',7,17,748,'_48;this.',805,'=1;},',1420,468,25,'In order for ',3,' to be able to load the additional "+"components that it may need, the ',7,'js file must be "+"',8,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the',27,'displayed here may not appear correctly.");},','EncodeFont',390,'_4a',9,'_4b=',7,'TeX[_4a];if(_4b[0].c',727,486,1059,'128;k++){var _4d=_4b[k];_4b[k]=_4d[3];if(_4b[k]==null){_4b[k]={};}_4b[k].w=_4d[0];_4b[k].h=_4d[1];if(_4d[2]!=null){_4b[k].d=_4d[2];}_4b[k].c=',7,'TeX.encoding[k];}},Fonts',468,587,7,'TeX.fam',1321,'_4f=',7,1467,'[i];if(_4f',399,1451,'(_4f);}}},TeXfont',390,'_50',9,'_51=',7,'TeX[_50];if(_51==null',486,'var WH=',7,'EmBoxFor("<span class=\\""+_50+"\\">"+_51[65].c','+"</span>");_51.hd=WH.h;_51.dh=0.05;_51.d=',7,1485,'+',7,530,'_51.hd)+"</span>").h-_51.hd;_51.h=_51.hd-_51.d;','if(_50=="',145,'"){_51.skewchar=','127;}',31,1493,152,1495,'48;}}},',558,468,587,7,1467,589,7,1467,'[i]){this.TeXfont(',7,1467,'[i]);}}},Sizes',468,7,'TeXparams','=[];for(var j=0;j<',7,'sizes.length;j++){',7,1516,'[j]={};}',1252,7,'TeX){',874,7,'TeX[i])!="object"){for(var j=0;j<',7,'sizes.length;j++){',7,1516,'[j][i]=',7,'sizes[j]*',7,'TeX[i]/100;}}}},Styles',390,'_57){',0,'_57){_57=',7,50,';_57[".',60,' .scale"]="font-size:"+',7,655,'scale+"%";this.stylesReady=1;}',7,816,'this,"','AddStyleSheet','",_57);if(',7,455,'styleChangeDelay','){',7,816,7,'Script,"Delay",1);}},',1553,390,'_58',9,'_59=',7,17,1317,'head")[0];var _5a="";for(var id in _58){_5a+=id+" {"+_58[id]+"}\\n";}if(',7,17,'createStyleSheet){_59.insertAdjacentHTML("beforeEnd","<span',' style=\\"','display:none\\">x</span>"+"<style type=\\"text/css\\">"+_5a+"</style>");}',31,'var _5c=',7,17,23,'("style");_5c.type="text/css";_5c',953,7,17,1104,'(_5a));_59',953,'_5c);}},Body',468,'if(this.inited',486,'this.inited=-','1;',7,478,'Hidden();',1593,'2;',7,455,1128,1593,'3;if(',7,655,189,'){',7,822,'.Blank();}',1593,'4;',7,478,'Styles();',1593,'5;',7,646,1128,1593,'6;',7,816,7,'Setup,"User","pre-font");',1593,'7;',7,816,7,'Font,"Check");if(',7,'Font.register.length){',7,816,7,'Font,"LoadRegistered");}this.inited=1;},User',390,'_5d){if(',7,'Setup.UserEvent[_5d',']){(',7,1643,'])();}},UserEvent:{"pre-font":null,"onload":null}};',7,'Update={',558,390,'_5e){for(var ','_5f in ',1652,'_60 in _5e[_5f]){for(var id in _5e[_5f][_60]){',7,'TeX[_5f][_60][id]=_5e[_5f][_60][id];}}}},TeXfontCodes',390,'_62){for(var _63 in _62){',587,'_62[_63].length;i++){',7,'TeX[_63][i].c=_62[_63][i];}}}};',7,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",','msieSpaceFix',':"",imgScale:1,renameOK:1,',1557,':0,delay:1,version:0,','TestSpanHeight',468,7,400,'="<span','><','span style=\\""+this.block+";','height:2em;width:','1px',503,'></span>";var ','_65=',7,'hidden.firstChild;','var img=_65.firstChild;','this.spanHeightVaries','=(_65',411,'>=img',411,'&&_65',411,'>0);','this.spanHeightTooBig','=(_65',411,'>img',411,');',7,400,'="";},','TestInlineBlock',468,'this.block','="display:-moz-inline-box";','this.hasInlineBlock','=',7,'BBoxFor("<span style=\\""+this.block+";','width:10px;height:5px\\"></span>").w>0;if','(',1710,'){',7,'styles[".typeset .',189,'"]=',7,1719,189,'"].replace(/',191,'/,',1708,');',7,1719,200,'"]=',7,1719,200,1725,191,'/,"");}',31,1708,'="',191,'";',1710,'=',7,1713,1714,'(!',1710,740,1708,'+=";',193,'";var h=',7,396,'("x").h;this.mozInlineBlockBug=',7,1713,'height:"+h+"px;width:1px',503,'>x"+"<',1680,1762,';vertical-align:-"+h+"px',503,'>").h>2*h;this.widthAddsBorder=',7,1713,193,';height:1px;width:10px',';border-left:','10px solid',503,'>").w>10;','this.msieBorderBug','=',7,1713,1762,503,'>x").h!=',7,1713,1762,1774,186,503,'>x").h;this.blankWidthBug=',1778,'||',7,1713,1681,'0px',503,'>").h==0;},','TestRenameOK',468,7,400,1678,1684,'_68=',7,1687,'_68.setAttribute("name","','jsMath_test','");this.renameOK=(',7,17,'getElementsByName("',1810,'").length>0);',7,400,1705,'TestStyleChange',468,7,400,1678,' ID=\\"',1810,'\\">x</span>";var _69=',7,1687,'var w=_69',408,';',7,478,1553,'({"#',1810,79,'200%"});this.',1557,'=(_69',408,'==w);',7,400,1705,'VersionAtLeast',390,'v',9,'bv',1349,'this.version',').split(".");','v',1349,'v',1854,'if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',468,7,29,'="unknown";this.',1706,568,1674,568,1800,568,1820,568,'MSIE',568,'Mozilla',568,'Opera',568,'OmniWeb',568,'Safari',568,'Konqueror','();if(','this.allowAbsoluteDelim','){',7,'Box.DelimExtend=',7,'Box.DelimExtendAbsolute;',7,'Box.Layout=',7,'Box.LayoutAbsolute;}',31,7,'Box.DelimExtend=',7,'Box.DelimExtendRelative;',7,'Box.Layout=',7,'Box.LayoutRelative;}if(','this.separateSkips','){',7,'HTML.Place=',7,'HTML.','PlaceSeparateSkips',';',7,'Typeset.prototype.','Place=',7,1912,1909,';}},MSIE',468,'if(',1689,'&&!',1697,'){',7,29,'="MSIE";if(',7,40,'=="pc"){this.','IE7=(',1,770,727,');this.quirks=(',7,17,'compatMode=="BackCompat");',1884,'=1;',1903,'=1',';this.buttonCheck=1;this.',1220,'=1;this.msieDivWidthBug=1;this.',1214,957,'msieIntegralBug',957,'waitForImages',957,'msieAlphaBug=!','this.IE7',';this.','alphaPrintBug','=!',1952,';this.',1666,'="position:relative; ";this.',1668,'=" ',191,';";',0,1952,399,1670,1678,1575,191,503,'>";}',7,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',7,1719,'arial"]="font-family: \'Arial unicode MS\'";',0,1952,'||this.quirks){',7,'styles["#',214,'"]=',7,1982,214,1725,216,'/,"',208,'").',1328,227,'/,"");',7,1982,229,'"]=',7,1982,229,1725,216,'/,"',208,'").',1328,227,'/,"");',7,1982,275,'"]="width:','1px; "+',7,1982,275,1725,216,'/,"',208,'").',1328,227,'/,"");',7,1,'.attachEvent("','onscroll",',7,646,'MoveButton',');if(',1952,'){',7,1,2029,'onresize",',7,646,2033,');}this.msieMoveButtonHack=',1952,';}',7,1982,353,'"]+=" ','display: inline-block',';";',7,1719,200,'"]=',7,1719,200,1725,191,'/,"");',7,50,'[".tex2math_div"]=',7,50,'["div.',60,'"]+"; width: 100%; ',2051,'";if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',2073,'!=',2075,399,'imgScale*=',2075,'/',2073,';',7,655,'alpha=0;}this.',456,'="<i>x</i>";',7,'EmBoxFor=',7,436,';}',31,'if(',7,40,'=="mac"){this.msieAbsoluteBug',957,'msieButtonBug',1944,1220,957,'quirks=1;',7,478,'Script("',3,'-msie-mac.js");',7,'Parser.prototype.macros.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',7,1982,229,2014,'42em; "+',7,1982,229,1725,227,'/,"");',7,655,'printwarn=0;}}',7,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},',1874,468,'if(',7,206,'.ATTRIBUTE_NODE){',7,29,'="',1874,'";if(',7,40,1929,1954,'=1;}',1884,'=1;',7,1982,275,'"]=',7,1982,275,1725,'cursor:hand','/,"cursor:pointer");',7,1982,353,'"]=',7,1982,353,1725,2157,'/,"cursor:pointer");',7,2129,'/}}");',660,'vendor=="Firefox"){',1853,'=',42,'vendorSub;}',31,660,'userAgent.match','(" Firefox/([0-9.]+)( |$)")){',1853,'=RegExp.$1;}}}},',1878,468,660,'accentColorName){',7,29,'="',1878,'";','this.allowAbsolute','=',1710,';',1884,'=',2193,';this.valignBug=!',2193,1942,1135,'=1;',7,'noChangeGlobal=1;',0,1710,'){',7,'Setup.Script("jsMath-old-browsers.js','");}}},Opera',468,'if(',1697,'){',7,29,'="Opera";var _6d=',42,2180,'("Opera 7");',2193,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(_6d){',7,2211,'");}}},Safari',468,660,'appVersion',44,'Safari\\//)){',7,29,'="Safari";var _6e=',42,2180,'("Safari/([0-9]+)");_6e=(_6e)?_6e[1]:400;',587,7,1467,589,7,1467,'[i]&&',7,'TeX[',7,1467,'[i]]){',7,'TeX[',7,1467,'[i]].dh=0.1;}}',7,'TeX.axis_height+=0.05;',7,'TeX.default_rule_thickness+=0.025;',1884,'=_6e>=125;this.safariIFRAMEbug=_6e>=312&&_6e<412;this.safariButtonBug=_6e<412;this.safariImgBug',957,1135,'=1',1942,1557,'=1;}},',1882,468,660,'product&&',42,'product.match("',1882,'")){',7,29,'="',1882,'";',2193,'=0;',1884,'=0;',660,2180,'(/',1882,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1903,957,'valignBug=1;',7,2211,'");}}',7,'Add(',7,50,',{".',60,' .',118,52,': ','jsMath-cmr10, jsMath cmr10',', serif',73,125,52,': ',3,'-',125,', ',3,' ',125,', ',2306,73,135,52,': ',3,'-',135,', ',3,' ',135,', ',2306,73,145,52,': ',3,'-',145,', ',3,' ',145,73,152,52,': ',3,'-',152,', ',3,' ',152,73,159,52,': ',3,163,', ',3,' ',159,'"});',7,'Font.testFont="',3,163,', ',3,' ',159,'";}}};',7,'Font={testFont:"',3,163,'",fallback:"symbol",register:[],message:"<b>No ',3,' TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts',503,'></b><br/>"+"Using',2383,'.  This',2385,'print_message:"To print higher-resolution math symbols, click the<br/>\\n"+"<b>Hi-Res Fonts for Printing</b> button on the ',3,' control panel.<br/>\\n",','alpha_message:"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\n"+"using the <B>Options</B> pane of the ',3,2394,'Test1',390,'_70,n,_72,_73','){if(n==null){n=124;}if(','_72==null){_72=2;}if(_73==null){_73="";}var wh1=',7,'BBoxFor("<span style=\\"font-family',': "+_73+_70+", serif\\">"+',7,'TeX[_70][n].c+"</span>");','var wh2=',7,2404,': serif\\">"+',7,2407,854,'wh1.w>_72*wh2.w&&wh1.h!=0);},Test2',390,'_76,n,_78,_79',2401,'_78==nu'],
  ['ll){_78=2',';}if(','_79','==null){','_79="";}var wh1=','jsMath.','BBoxFor("<span style=\\"font-family',': "+','_79+_76','+", serif','\\">"+',5,'TeX[_76][n','].c+"</span>");','var wh2=',5,6,': serif',10,5,'TeX[_76][n',13,'return (wh2.w>_78*wh1.w&&wh1.h!=0);},CheckTeX',':function','(){var ','wh=',5,6,7,5,'Font.','testFont',9,10,5,'TeX.cmex10[1',13,5,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"jsMath-"));if(',5,'nofonts&&(',5,'platform','!="mac"||',5,'browser!="Mozilla"||!',5,'Browser.','VersionAtLeast(1.5))){wh=',5,6,': cmex10, serif',10,5,'TeX.cmex10[1',13,5,38,'"));if(!',5,'nofonts){',5,'Setup.Script("jsMath-','BaKoMa-fonts.js");}}},Check',23,24,'_7d=',5,'Controls.','cookie;this.CheckTeX();if(',5,61,'if(_7d.autofont','||_7d','.font=="tex"){','_7d.font','=this.','fallback',';if(_7d.warn){',5,'nofontMessage=1;_7d.warn=0;',5,69,'SetCookie(0);if','(',5,'window.NoFontMessage','){',5,87,'();}else{','this.Message(this.','message);}}}}else{',73,'){',76,'="tex";}if(_7d',75,'return;}}if(',5,'noImgFonts){',76,'="unicode";}if(',76,'=="unicode"){',5,63,78,'-"+',5,43,'+".js");',5,'Box.TeXnonfallback=',5,'Box.TeX',';',5,116,'=',5,'Box.TeXfallback;return;}','if(!_7d.print&&_7d.printwarn){this.','PrintMessage','((',5,48,'alphaPrintBug&&',5,69,'cookie.alpha)?','this.print_message','+this.alpha_message:',132,');}if(',5,48,'waitForImages){',5,'Script.','Push(',5,'Script,"WaitForImage",',5,'blank',135,76,'=="symbol"){',5,63,78,'-symbols.js");',5,'Box.TeXnonfallback=',5,116,';',5,116,'=',5,122,5,'Img.SetFont','({cmr10',':["all"],','cmmi10',166,'cmsy10',166,'cmex10',166,'cmbx10',166,'cmti10:["all"]});',5,'Img.LoadFont','("cm-fonts");},Message',23,'(_7e','){if(',5,'Element("','Warning','")){','return;}var ','div=',5,'Setup.DIV("',184,'",{});div.innerHTML="<center><table><tr><td>"+"<div ','id=\\"jsMath_noFont\\"><div ','class=\\"message\\">"+','_7e+"<div style=\\"text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',5,69,'Panel','()\\" title=\\" ','Open the ','jsMath Control Panel',' \\" class=\\"link\\">',200,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',5,30,'HideMessage',198,'Remove this font warning message',201,'Hide this Message',203,'></div><div style=\\"height:6px\\"></div><br clear=\\"all\\"/></div></','div>"+"<div style=\\"width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},',207,23,24,'_80=',5,183,184,'");if(_80){_80','.style.display="none";}},',124,23,'(_81',181,5,183,'PrintWarning',185,186,'div=',5,189,230,191,193,'_81+"</',214,'Register',23,'(_83,_84',181,'typeof (_83)=="string"){_83={name:_83};}if(!',5,'Setup.inited','&&!_84){','this.register','[',249,'.length]=_83;',186,'_85=_83.name;var _86=_85.replace(/10$/,"");var _87=',5,'TeX.fam.length;if(','_83.prefix',3,257,'="";}if(!_83.style){_83.style="font-family',7,257,'+_85',9,'";}if(!_83.styles){_83.styles={};}if(!_83.macros){_83.macros={};}',5,'TeX.fam[_87]=_85;',5,'TeX.famName[_85]=_87;_83.macros[_86]=["HandleFont",_87];',5,'Add(',5,'Parser.prototype.macros,_83.macros);_83.styles[".typeset ."+_85]=_83.style;',5,'Setup.Styles(_83.styles);if(',5,'initialized){',5,140,'Push(',5,'Setup,"TeXfont",_85);}var _88=',5,69,'cookie;var _89=!',5,'nofonts&&_83.test(_85,_83.testChar,_83.testFactor,',257,');if(_89&&_88',75,'if(_83.','tex){_83.tex(_85,_87,_83);}return;}if(!_89&&_88.warn&&_88.font=="tex"&&!',5,61,'if(!_88.fonts.match("/"+_85+"/")){_88.fonts+=_85+"/";',5,69,84,'(!',5,183,184,185,92,'extra_message);}var _8a=',5,183,'ExtraFonts");if(_8a',181,'_8a.innerHTML','!=""){',310,'+=",";}',310,'+=" "+',257,'+_85;}}}if(_88.font=="unicode"||',5,101,291,78,'){_83.',78,'(_85,_87,_83);}',186,'_8b={};_8b[_85]=["all"];',5,164,'(_8b);',5,177,'(_85);if(',5,'initialized){',5,140,'Push(',5,'Img,"Scale");',5,140,'Push(',5,'Img,"UpdateFonts");}},LoadRegistered',23,24,'i=0;while(i<',249,'.length){this.',241,'(',249,'[i++],1);}',249,'=[];},Load',23,'(_8d){',5,'Setup.Script(this.URL(_8d));},URL',23,'(_8e){return ',5,'Img.root+_8e+"/def.js";}};',5,'Controls={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,fonts:"/",printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},cookiePath:"/",','noCookiePattern',':/^(file|mk):$/,Init',23,'(){this.panel=',5,189,'panel",{display:"none"});if(!',5,48,'msieButtonBug){this.Button',91,'setTimeout("',5,69,'Button()",500);}},',197,23,'(){',5,'Translate.Cancel();if(this.loaded){this.Main',91,5,140,'delayedLoad(',5,'root+"jsMath-controls.html");}},Button',23,24,'_8f=',5,189,'button",{});_8f.title=" Open ',200,' ";_8f.innerHTML="<span onclick=\\"',5,69,197,'()\\">jsMath</span>";if(!',5,'Global.','isLocal&&!',5,'noShowGlobal){_8f.innerHTML+="<span id=\\"jsMath_global\\" title=\\" Open jsMath Global ',197,' \\" "+"onclick=\\"',5,405,'Show(1)\\">Global&nbsp;</span>";}if(_8f.offsetWidth<30){_8f.style.width="auto";}if(!','this.cookie','.button){_8f',223,'MoveButton',23,24,'_90=',5,'Controls;if(!','_90.button','){',423,'=',5,183,'button");}if(',423,'){_90.MoveElement(_90.','button,3,2);}var dx=20;var dy=20;if(',423,'){dy=',423,'.offsetHeight','+6;dx=dy+5',1,'_90.panel',431,'panel,dx,dy);}},MoveElement',23,'(obj,dx,dy',181,5,48,'IE7){var _96=document.body;obj.style.right','="auto";obj.style.','bottom',448,'left=_96.clientWidth+_96.scrollLeft-obj.offsetWidth-dx+"px";obj.style.top=_96.clientHeight+_96.scrollTop-obj',436,'-dy+"px";}else{','obj.style.visibility="','hidden";',454,'visible";}},GetCookie',23,'(){if(','this.defaults',3,460,'={};}',5,271,460,',',414,');this.userSet={};var _97=',5,'document.cookie',';if(',5,'window.location','.protocol.match(this.',366,')){_97',77,'localGetCookie','();','this.isLocalCookie','=1',1,'_97.match(/jsMath=([^;]+)/)){var _98=unescape(RegExp.$1).split(/,/);for(var i=0;i<_98.length;i++){var x=_98[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',414,'[x[1]]=x[2];this.userSet[x[1]]=1;}}},',479,23,'(){return ',5,474,'.search.substr(1);},SetCookie',23,'(_9b){var _9c=[];','for(var id in ',414,181,460,'[id]==null||',414,'[id]!=',460,'[id]){_9c[_9c.length]=id+":"+',414,'[id];}}_9c=_9c.join(",");if(',481,181,'_9b==2){return "','jsMath="+escape(','_9c);}this.','localSetCookie','(_9c,_9b);}else{_9c=escape(_9c);if(_9c==""){_9b=0',1,'this.cookiePath','){_9c+="; ','path="+',514,1,'this.cookieDomain',515,'domain="+',519,1,414,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',526,'*7,M',526,'*30,Y',526,'*365};var exp=new Date;exp.setTime(exp.getTime()+',414,'.keep.substr(','0,1)*ms[',414,535,'1,1)]);_9c+="; expires="+exp.toGMTString();}if(_9c!=""){',5,471,'="jsMath="+_9c;var _a0=',5,471,';if(_9b&&!_a0.match(/jsMath=/)){alert("Cookies must be enabled in order to save jsMath options");}}}return null;},',511,23,'(_a1,_a2){if(!_a2){',186,'_a3=String(',5,474,').replace(/\\?.*/,"");if(_a1!=""){_a3+="?',509,'_a1',135,'_a3!=',5,474,'.href){this.Reload(_a3);}},Reload',23,'(url){if(!this.loaded){return;}this.loaded=0;',5,247,'=-100;',5,405,'ClearCache();if(url){',5,474,'.replace(url);}else{',5,474,'.reload();}}};',5,'Click={CheckClick',23,'(_a5){if(!_a5){_a5=',5,'window.event;}if','(_a5.altKey){',5,69,197,'();}},CheckDblClick',23,'(_a6){if(!_a6){_a6=',5,580,'(!',5,'Click.DblClick){',5,'Extension.Require("double-click",1);var _a7=_a6;_a6={};',495,'_a7){_a6[id]=_a7[id];}}',5,140,'Push(',5,'Click,"DblClick",[_a6,this.alt]);}};',5,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',604,'778',604,'694',604,'667',604,'75',604,'722',604,'778',604,'722',604,'778',604,'722',604,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',630,'833',630,'833',630,'278',',0.431],[0.','306,0.431',',0.194],[0.','5',630,'5',630,'5,0.628],[0.5',630,'5,0.568],[0.75',630,'444,0,0.17],[0.5',630,'722',638,'778',638,'5,0.528,0.0972],[0.903,0.683],[1.01',604,'778,0.732,0.0486],[','0.278',',0.431,0,{','krn:{"108":-0.','278,"76":-0.319}}],[',658,',0.694,0,{lig:{"96":','60}}],[0.5',630,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',669,'778',630,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',679,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',640,'333',659,'lig:{"45":','123}}],[',684,'],[0.5',679,'5,0.644','],[0.5,0.644],[0.5,0.','644',694,'644',694,'644',694,'644],[0.5,0.644],[',658,638,'278,0.431',640,'278,0.5',640,'778',',0.367,-0.133],[','0.472,0.5',640,'472',663,'62}}],[0.778',630,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',719,'79',719,'71',719,'85',719,'81',719,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',604,'722',604,'764',717,'88',719,'87',719,'65',719,'86',719,'89":-','0.0278}}],[0.','681',604,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',604,'75',604,'361',717,'73":',746,'514',604,'778',717,'79',719,'67',719,'71',719,'81":-',746,'625',717,730,'917',604,'75',604,'778',717,'88',719,'87',719,'65',719,'86',719,'89":-',746,'681',717,'65','":-0.0833,"','111',719,'101',719,'97',719,'46',794,'44":-0.','0833}}],[0.','778,0.683',640,'736',717,'116',719,'67',719,'79',719,'71',719,'85',719,'81',719,730,'556',604,'722',717,'121',719,'101',794,'111',794,'114',794,'97',794,'65',794,'117":-0.',804,'75',604,'75',',0.683,0,{ic:0.','0139,',751,'1.03',843,'0139,',751,'0.75',717,'79',719,'67',719,'71',719,'81":-',746,'75',843,'025,krn:{"101',794,'111',794,'114',794,'97',794,'65',794,838,804,'611',604,'278',679,'5',630,'278',679,'5',630,'278,0.668],[0.','278',663,'92}}],[0.5',659,'krn:{"118',719,'106":0.0556,"121',719,'119":-',746,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',659,'krn:{"104',719,'107":-',746,'556',630,'444',638,'306',626,627,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',746,'556',675,'116',719,'117',719,'98',719,'121',719,'118',719,'119":-',746,884,'306,0.668',640,'528',675,'97','":-0.0556,"','101',719,'97',719,'111',719,'99":-',746,'278',630,'833',659,'krn:{"116',719,'117',719,'98',719,'121',719,'118',719,'119":-',746,'556',659,'krn:{"116',719,'117',719,'98',719,'121',719,'118',719,'119":-',746,'5,0.431',',0',897,895,'431,0.194',897,'528,0.431',640,'392',638,'394',638,'389,0.615,0,{krn:{"121',719,'119":-',746,'556',659,'krn:{"119":-',746,'528',',0.431,0,{ic:0.',914,'97',937,'101',719,'97',719,'111',719,'99":-',746,'722',997,914,'101',719,'97',719,'111',719,'99":-',746,'528',638,'528',912,'ic:0.',914,'111',719,'101',719,'97',719,'46',794,'44":-0.',804,'444',638,'5',997,'0278,',688,'124}}],[1',997,'0278}],[0.','5',630,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',843,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',804,'833',717,'127":0.167}}],[0.','763',843,1040,'krn:{"127":0.0833}}],[0.','694',717,1054,'742',843,'0757,',1058,'831',843,'0812,krn:{"61',937,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',843,'0576,',1058,'583',843,'139',1050,1071,'667',750,1058,'612',843,'11,krn:{"61',937,1070,1071,'772',843,'0502,',1058,'64',997,'0037,','krn:{"127":',746,'566',',0.694,0.194,{ic:0.','0528,',1058,'518',912,'ic:0.0556}],[0.444',626,'0378,krn:{"',1070,1071,'406',659,'krn:{"127":0.0556}}],[0.','438',1100,'0738,',1058,'497',912,'ic:0.0359',',',1112,'469',626,1040,1058,'354',659,1112,'576',638,'583',630,'603',912,1097,746,'494',997,'0637,krn:{"',1070,'0278}}],[0.','438',1100,'046,',1097,'0.111}}],[0.','57',997,'0359}],[0.','517',912,1058,'571',997,'0359,krn:{"59',937,'58":-0.',1071,'437',997,'113,krn:{"',1070,1141,'54',997,'0359,',1097,746,'596,0.694,0.194,{',1058,'626',912,1112,'651',1100,'0359,',1097,1146,'622',997,1149,'466',659,1058,'591',',0.694,0,{',1058,'828',997,1044,'517',912,1058,'363,0.431,0.0972,{ic:0.0799,',1058,'654',912,1097,'0.0833}}],[1',709,'1',709,'1',709,'1',709,658,',0.464,-0.0363],[',658,1208,'0.5,0.465,-0.0347],[',1211,'0.5',638,'5',638,'5',638,976,640,976,640,976,',0.194',694,980,694,'431',640,'278,0.106],[',684,640,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',937,'65',937,'77',937,'78',937,'89":0.0556,"90":-0.',1071,'778',1234,1211,'0.531',626,'0556,',1058,'75',717,'127":','0.','139}}],[0.','759',843,'0502,',1058,'715',843,'0715,krn:{"61',719,1070,804,'828',843,1040,1112,'738',843,'0576,',1058,'643',843,'139',1050,804,'786',750,1058,'831',843,'0812,krn:{"61',937,1070,1071,'44',843,'0785,',1097,1146,'555',843,'0962',1050,'167}}],[0.','849',843,'0715,krn:{"61',937,1070,1071,'681',717,1254,746,'97',843,'109,krn:{"','61',937,1070,804,'803',843,1311,'61',794,'61',719,1070,804,'763',843,1040,1058,'642',843,'139',1050,804,'791,0.683,0.194,{',1058,'759',843,'00773,',1058,'613',843,'0576,krn:{"61',937,1070,804,'584',843,'139,krn:{"61',719,1070,804,'683',843,1311,'59":-0.111,"',1157,'111,"61',937,1254,746,'583',843,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',843,'139',1364,'828',843,'0785,krn:{"61',794,'61',719,1070,804,'581',843,'222',1364,'683',843,'0715,krn:{"61',937,1070,804,'389,0.75],[0.389',667,'0.389',667,'1,0.358,-0.142],[',1391,'0.417',1186,1097,1146,'529',638,'429',630,'433',659,1112,'52',675,'89":0.0556,"90',937,'106":-0.111,"102":-0.167,"',1054,'466',659,1112,'49',1100,'108,krn:{"',1070,1298,'477',912,1119,',',1097,746,'576',675,'127":-',746,'345,0.66],[0.412,0.66,0.194,{ic:0.0572,krn:{"59',937,1157,1071,'521',626,'0315}],[0.298',626,'0197,',1058,'878',638,'6',638,'485',659,1112,'503',912,1058,'446',912,1119,',',1058,'451',997,1040,'krn:{"',1070,1071,'469',659,1112,'361,0.615,0,{',1058,'572',659,1097,746,'485',997,'0359,',1097,746,'716',997,'0269,',1058,'572',659,1097,746,'49',912,1119,',',1112,'465',997,'044,',1112,'322',659,1097,746,'384',912,1058,'636',912,1097,1146,'5,0.714,0,{ic:0.154}],[',658,626,'399}]],cmsy10:[[',683,658,',0.444,-0.0556],[',683,1211,683,'0.5,0.444,-0.0556],[',683,683,683,683,683,683,683,'1',667,1511,1511,'0.778',1208,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1526,1526,1526,1526,1526,'],[0.778',709,'0.778,0.483,-0.0169],[0.778',1234,'0.778',1234,'1',1234,'1',1234,'0.778',1234,'0.778',1234,'1',709,'1',709,'0.5',667,'0.5',667,'1',709,'1',667,'1',667,'0.778',1208,'1',709,'1',709,'0.611',667,'0.611',667,'1',709,'1',667,'1',667,'0.778',638,'275,0.556],[1',638,'667',1234,'0.667',1234,'0.889',667,'0.889',667,'0',667,'0',709,'0.556',630,'556',630,'667',638,'5',669,'722',630,'722',630,'778',630,'778',630,'611',630,'798',717,'48":0.','194}}],[0.657',843,'0304',',krn:{"48":0.',1256,'527',843,'0583',1616,1256,'771',843,'0278',1616,804,'528',843,'0894',1616,'111}}],[0.','719',843,'0993',1616,1632,'595',',0.683,0.0972,{ic:0.','0593',1616,1632,'845',843,'00965',1616,1632,'545',843,'0738,krn:{"48":',746,'678',1639,'185',1616,1298,'762',843,'0144',1616,1071,'69',717,1612,'139}}],[1.2',717,1612,1256,'82',843,'147',1616,804,'796',843,1625,1616,1632,'696',843,'0822',1616,804,'817,0.683,0.0972,{krn:{"48":',1146,'848',717,1612,804,'606',843,'075',1616,1256,'545',843,'254,krn:{"48":',746,'626',843,'0993',1616,804,'613',843,'0822,krn:{"48":',746,'988',843,'0822',1616,804,'713',843,'146',1616,1256,'668',1639,'0822',1616,804,'725',843,'0794',1616,1256,'667,0.556],[0.',1728,1728,1728,1728,'611',630,'611',630,'444',679,'444',679,'444',679,'444',679,'5',679,'5',679,'389',679,'389',679,'278',679,'5',679,'5',679,'611',679,'5',679,'278',667,'0.833,0.04,0.96],[0.75',604,'833',604,'417',1100,'111}],[0.',1728,'667,0.556',1526,1526,'],[0.444',667,'0.444',667,'0.444',667,'0.611',667,'0.778,0.694,0.13','],[',1784,'],[',1784,'],[',1784,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1792,'17}],[0.417',1792,'104}],[0.417',1792,'105','}],[0.472,0.04,1.16,{n:','106',1800,'107',1800,'108',1800,'109}],[0.583',1792,'110}],[0.583',1792,'111',1800,'68',1800,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1816,'rep:13}}],[0.578',1792,'46}],[0.578',1792,'47}],[0.597',',0.04,1.76,{n:','18}],[0.597',1824,'19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1828,'33}],[0.528',1828,'34}],[0.528',1828,'35}],[0.583',1828,'36}],[0.583',1828,'37}],[0.583',1828,'38}],[0.583',1828,'39}],[0.75',1828,'40}],[0.75',1828,'41}],[0.75',1828,'42}],[0.75',1828,'43}],[1.04',1828,'44}],[1.04',1828,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1856,'49}],[0.583',1856,'50}],[0.583',1856,'51}],[0.639',1856,'52}],[0.639',1856,'53}],[0.639',1856,'54}],[0.639',1856,'55}],[0.806',1856,'56}],[0.806',1856,'57}],[0.806',',0.04,2.96],[','0.806',1876,'1.28',1876,'1.28',1876,'0.811',1824,'30}],[0.811',1824,'31}],[0.875',',0.04,1.76,{delim:{top:','48,bot:64,rep:66}}],[0.875',1888,'49,bot:65,','rep:67}}],[0.','667',1888,'50,bot:52,rep:54}}],[0.667',1888,'51,bot:53,rep:55','}}],[0.667,0.04,1.76,{delim:{bot:','52,rep:54',1898,'53,rep:55}}],[0.667',1816,'top:50,rep:54}}],[0.667',1816,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1906,'57,mid:61,bot:59,rep:62',1906,'56,bot:58,rep:62',1906,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1914,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1816,'top:120,','bot:121,rep:63}}],[0.','875',1888,'56,bot:59,',1918,'875',1888,'57,bot:58,',1918,'875',1816,'rep:66}}],[0.875',1816,1892,'611',1824,'28}],[0.611',1824,'29','}],[0.833,0,1,{n:','71}],[1.11',',0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[','0.556,0,2.22,{ic:0.444}],[1.11,0',',1,{n:75}],[1.51,0','.1,1.5],[1.11,0',',1,{n:77}],[1.51,0',1948,',1,{n:79}],[1.51',1943,'1.06,0,1,{n:88}],[0.944,0,1,{n:89}],[',1944,'90',1941,'91',1941,'92',1941,'93',1941,'94',1941,'95}],[1.44',1943,'1.28',1943,1946,1948,1948,1948,1948,'.1,1.5],[0.944,0,1,{n:97}],[1.28',1943,'0.556,0.722,0,{n:','99','}],[1,0.75,0,{n:','100}],[1.44,0.75],[',1976,'102',1978,'103}],[1.44,0.75],[0.472',1824,'20}],[0.472',1824,'21}],[0.528',1824,'22}],[0.528',1824,'23}],[0.528',1824,'24}],[0.528',1824,'25}],[0.667',1824,'26}],[0.667',1824,'27}],[1',1792,'113}],[1',1824,'114}],[1',1828,'115}],[1',1856,'116}],[1.06,0,1.8,{delim:{top:118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1816,'top:126,','bot:127,rep:119','}}],[0.667',1816,1921,'rep:63}}],[0.667',1816,1922,'45,0.12],[0.',2017,2017,2017,'778',1816,2009,'rep:119}}],[0.778',1816,2010,'}}]],cmti10:[[0.627',843,'133}],[0.818',604,'767',843,'094}],[0.692',604,'664',843,'153}],[0.743',843,'164}],[0.716',843,'12}],[0.','767',843,1771,'716',843,'0599}],[0.767',843,1771,'716',843,'103}],[0.','613',1100,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',628,'562',1100,2052,'588',1100,2052,'882',1100,2052,'894',1100,2052,'307',997,'0767}],[0.332',912,'ic:0.0374}],[0.511',630,'511',626,'0969','}],[0.511,0.','628,0,{ic:0.083}],[0.511',626,'108',2078,'562,0,{ic:0.',2052,'831',630,'46,0,0.17],[0.537',1100,'105}],[0.716',997,'0751}],[0.716',997,'0751',2078,'528,0.0972,{ic:0.0919}],[0.883',843,2041,'985',843,2041,'767,0.732,0.0486,{ic:0.094}],[0.256',659,660,'256,"76":-0.321}}],[0.307',626,'124,lig:{"96":60}}],[0.514',626,'0696}],[0.818',1100,'0662}],[0.769',630,'818,0.75,0.0556',',{ic:0.136}],[0.','767',626,'0969}],[0.307',626,'124,krn:{"63":0.102,"33":0.102',677,'409',',0.75,0.25,{ic:0.162}],[0.','409,0.75,0.25,{ic:0.0369',2078,'75,0,{ic:0.149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',640,'358',997,'0283,',688,'123}}],[0.307,0.106],[0.511',2121,'511,0.644,0',',{ic:0.136}],[0.511,0.644,0',2133,2133,2133,'.194',2133,2133,2133,'.194',2133,2133,2113,'307',997,'0582}],[0.307',912,'ic:0.0582}],[0.307,0.5,0.194,{ic:0.0756}],[0.767,0.367,-0.133,{ic:0.0662',2078,'5',640,'511',626,'122,lig:{"96":62}}],[0.767',626,'096}],[0.743',717,'110','":-0.0256,"','108',2160,'114',2160,'117',2160,'109',2160,'116',2160,'105',2160,'67',2160,'79',2160,'71',2160,'104',2160,'98',2160,'85',2160,'107',2160,'118',2160,'119',2160,'81',2160,'84":-0.0767,"89":-0.0767,"86"'],
  [':-0.102,"87','":-0.102,"','101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',',0.683,0,{ic:0.','103}],[0.716',4,'145}],[0.','755',4,'094',',krn:{"','88','":-0.0256,"','87',13,'65',13,'86',13,'89','":-0.0256}}],[0.','678',4,'12}],[0.','653',4,'133',11,'111','":-0.0767,"','101',30,'117',30,'114',30,'97',30,'65',1,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',4,'0872}],[0.743',4,'164}],[0.','386',4,'158}],[0.525',4,'14}],[0.769',4,'145',11,41,'627,0.683,0,{krn:{"84',30,'89',30,'86',1,'87',1,2,'897',4,46,'743',4,46,'767',4,'094',11,'88',13,'87',13,'65',13,'86',13,'89',21,'678',4,'103',11,'65":-0.0767}}],[0.','767,0.683',',0.194,{ic:0.','094}],[0.729',4,'0387',11,'110',13,'108',13,'114',13,'117',13,'109',13,'116',13,'105',13,'67',13,'79',13,'71',13,'104',13,'98',13,'85',13,'107',13,'118',13,'119',13,'81',13,'84',30,'89',30,'86',1,'87',1,2,'562',4,24,'716',4,'133',11,'121',30,'101',30,'111',30,'114',30,'97',30,'117',30,89,'743',4,46,'743',4,'184',11,'111',30,'101',30,'117',30,'114',30,'97',30,'65',1,41,'999',4,'184',11,89,'743',4,'158',11,41,'743',4,'194',11,'101',30,'111',30,'114',30,'97',30,'117',30,89,'613',4,'145','}],[0.307,0.75,0.25,{ic:0.','188}],[0.514',',0.694,0,{ic:0.','169',207,'105}],[0.511',209,'0665}],[0.307,0.668,0,{ic:0.118}],[0.307',209,'124,lig:{"96":92}}],[0.511',',0.431,0,{ic:0.','0767}],[0.','46',209,'0631',11,2,'46',217,'0565',11,2,'511',209,'103',',krn:{"108":0.0511}}],[0.','46',217,'0751',11,2,'307,0.694',91,'212',11,'39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','12,"102":11,"108":13}}],[0.','46,0.431',91,'0885}],[0.','511',209,218,'307,0.655,0,{ic:0.102}],[0.307,0.655',91,7,'46',209,'108}],[0.','256',209,'103',232,'818',217,218,'562',217,'0767',11,'39":-0.102}}],[0.511',217,'0631',11,2,'511,0.431',91,'0631',11,2,'46,0.431',91,246,'422',217,'108',11,2,'409',217,'0821}],[0.332,0.615,0,{ic:0.0949}],[0.537',217,218,'46',217,255,'664',217,'108',232,'464',217,24,'486,0.431',91,246,'409',217,'123}],[0.511',217,'0921',',lig:{"45":124}}],[1.','02',217,'0921}],[0.511',209,'122','}],[0.511,0.668,0,{ic:0.','116',314,'105}]],cmbx10:[[0.692',',0.686],[0.','958',318,'894',318,'806',318,'767',318,'9',318,'831',318,'894',318,'831',318,'894',318,'831',318,'671',',0.694,0,{ic:0.109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15}}],[0.639',',0.694],[0.','639',342,'958',342,'958',342,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',353,'694',353,'632',353,'694',353,'596],[0.869',342,'511,0,0.17],[0.597',342,'831',350,'894,0.444',353,'542,0.0972],[1.04,0.686],[1.17',318,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":','60}}],[0.603',342,'958,0.','694,0.194',353,'75,0.0556],[0.',378,381,'894',342,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34}}],[0.447',',0.75,0.25','],[0.447',389,353,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383,0.444,0,{lig:{"45":123}}],[',394,353,'75,0.25',353,'644',353,'644',353,'644',353,'644',353,'644',353,'644',353,'644',353,'644',353,'644',353,'644],[0.319',350,'319',352,'],[0.35,0.5',395,'894,0.391,-0.109],[0.543,0.5',395,'543',375,'62}}],[0.894',342,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',434,'79',434,'71',434,'85',434,'81',434,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',318,'831',318,'882',432,'88',434,'87',434,'65',434,'86',434,'89','":-0.0319}}],[0.','756',318,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',318,'9',318,'436',432,'73','":0.0319}}],[0.','594',318,'901',432,'79',434,'67',434,'71',434,'81',461,'692',432,445,'1.09',318,'9',318,'864',432,'88',434,'87',434,'65',434,'86',434,'89',461,'786',432,'65":-0.0958,"111',434,'101',434,'97',434,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',395,'862',432,'116',434,'67',434,'79',434,'71',434,'85',434,'81',434,445,'0.639',318,'8',432,'121',434,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',318,'869,0.686,0,{ic:0.','016,',465,'1.19,0.686,0,{ic:0.016,',465,'0.869',432,'79',434,'67',434,'71',434,'81',461,540,'0287',11,537,'703',318,'319',389,'],[0.603',342,'319',389,353,'694],[0.319',342,'319',375,'92}}],[0.559',373,'118',434,'106":0.0639,"121',434,'119',461,'639,0.694,0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',373,'104',434,'107',461,'639',342,'527',350,'351',340,243,'575,0.444',91,'016',11,'106',473,'639',387,'116',434,'117',434,'98',434,'121',434,'118',434,'119',461,'319',342,'351,0.694',395,'607',387,'97":-0.0639,"101',434,'97',434,'111',434,'99',461,'319',342,'958',373,'116',434,'117',434,'98',434,'121',434,'118',434,'119',461,'639',373,'116',434,'117',434,'98',434,'121',434,'118',434,'119',461,'575,0.444,0',581,'639',352,581,'607',352,'],[0.474',350,'454',350,'447,0.635,0,{krn:{"121',434,'119',461,'639',373,'119',461,'607,0.','444,0,{ic:0.','016',11,'97":-0.0639,"101',434,'97',434,'111',434,'99',461,'831,0.',679,'016',11,'101',434,'97',434,'111',434,'99',461,'607',350,678,'444',91,'016',11,'111',434,'101',434,'97',434,513,'511,0.444',353,679,'0319',308,'15,0.',679,'0319}],[0.575,0.694',353,'694',353,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_a9){for(var _aa in _a9){if(!','this.update[_aa',']){',732,']=[];}',732,']=',732,'].concat(_a9[_aa]);}},AddFont',730,'_ab,def){if(!',728,'[_ab]){',728,'[_ab]={};}','jsMath.Add(jsMath.','Img[_ab],def);},UpdateFonts',':function(){','var _ad=this.update;','if(!this.loaded){','return;}var ','_ae=this[','jsMath.Img.fonts','[this.best]];','for(var _af in _ad){','for(var i=0;i<','_ad[_af].length;i++){var c=_ad[_af][i];if(c=="all"){for(c in ','jsMath.TeX[','_af]){',758,'_af][c].img','={};}}else{',758,761,'={};}}}this.update={};},BestSize',748,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',768,'i]]+2*m)/3){','return ','i-1;}m=',768,'i]];}',775,'i-1;},Scale',748,750,'return;}this.best=this.BestSize();this.em=',728,'.w[',770,754,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',788,'-1)<0.12){',788,'=1;}},URL',730,'_b5,_b6,C){var _b8=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_b6!=""){_b6+="/";}','return this','.root+_b5+_b8+_b6+C;},LoadFont',730,'_b9){',750,'this.Init();}jsMath.Setup.Script(this.URL(_b9,""));},Init',748,'if(',797,'print||',797,'stayhires','){',797,'print=',797,810,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',817,'SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',797,'alpha=0;}}var _ba="0123456789ABCDEF";this.HexCode=[];',756,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_ba.charAt(h)+_ba.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',730,'m){var n=5;if(m<0){n++;}',790,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',775,'s+"em";},Spacer',730,'w){if(w==0){return "";}',775,821,'msieSpaceFix+"<','span class=\\"spacer\\" style=\\"margin-','left:"+this.Em(','w)+"\\"></span>";},Blank',730,'w,h,d,_c5){var _c6="";var _c7="";if(_c5){_c7+="border-',839,'w)+" solid;";if(',821,'widthAddsBorder){w=0;}}if(w==0){if(',821,'blankWidthBug){_c7+="width:1px;";_c6="<',838,'right:-1px\\"></span>";}}else{_c7+="width:"+this.Em(w)+";";}if(d==null){d=0;}if(h){var H=this.Em(h+d);if(_c5&&h*jsMath.em<1.5){H="1px";h=1/jsMath.em;}_c7+="height:"+H+";";}if(',821,'mozInlineBlockBug){d=-h;}if(',821,'msieBorderBug&&!_c5){d-=jsMath.d;}if(d){_c7+="','vertical-align:"+','this.Em(-d);}',775,'_c6+"<span class=\\"blank\\" ','style=\\""+','_c7+"\\"></span>";},Rule',730,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}',799,'.Blank(w,h,0,1);},Class',730,'_cb,_cc){return "<span class=\\""+_cb+"\\">"+_cc+"</span>";},Place',730,'_cd',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _d0','="<span style=\\"position',': relative',';";if(x){_d0+=" margin-',839,'x)+";";}if(y){_d0+=" ','top:"+this.Em','(-y)+";";}_cd=_d0+"\\">"+_cd','+"</span>";}',775,'_cd;},PlaceSeparateSkips',730,'_d1',869,'if(y){_d1',871,872,'; ',876,'(-y)+";"+"\\">"+_d1',878,'if(x){_d1=this.Spacer(x)+_d1;}',775,'_d1;},PlaceAbsolute',730,'_d4',869,'_d4',871,':absolute','; ',839,'x)+"; "+"',876,'(y)+";\\">"+_d4+"&nbsp;</span>";',775,'_d4;},Absolute',730,'_d7,w,h,d,y,H){if(y!="none"){',790,'y)<0.0001){y=0;}_d7',871,899,'; "+"top:"+','jsMath.HTML.','Em(y)+"; left:0em',';\\">"+_d7','+"&nbsp;"+"</span>";}if(d=="none"){d=0;}_d7+=this.Blank(w,h-d,d);if(',821,'msieAbsoluteBug){_d7',871,':relative',916,878,'if(',821,'spanHeightVaries){','var _dd="";_dd=',821,'msieInlineBlockFix+" width:"+',914,'Em(w)+";";if(',821,'quirks){_dd+=" height:"+',914,'Em(H)+";";}','else{_dd+=" height: 0px;"+" ',855,914,935,'_d7',871,921,';"+_dd+"\\">"+_d7',878,'else{_d7',871,921,'\\">"+_d7',878,775,'_d7;}};','jsMath.Box','=function(','_de,_df,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_df;this.format=_de;};',746,'Box,{defaultH:0,Null',748,775,'new jsMath.Box("','null","",0,0,0);},Text',730,'_e3,_e4,_e5,_e6,a,d){var _e9=','jsMath.Typeset.AddClass(','_e4,_e3);_e9=','jsMath.Typeset.','AddStyle(','_e5,_e6,_e9);var BB','=jsMath.EmBoxFor(','_e9);var TeX=',967,'TeX(_e5,_e6);var bd=((_e4=="cmsy10"||_e4=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',961,'text",_e3,BB.w,BB.h-bd,bd);box.style=_e5;box.size=_e6;','box.tclass','=_e4;if(d!=null){box.d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',730,'C,_ef,_f0,_f1){var c=',758,'_ef][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_ef,C,',967,'StyleSize(_f0,_f1));}var _f3=',967,'TeX(_f0,_f1).scale;var h=c.h+',758,'_ef].dh;',974,961,'text",c.c,c.w*_f3,h*_f3,c.d*_f3);box.style=_f0;box.size=_f1;if(c.tclass){',977,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_f3*jsMath.h;box.bd=_f3*jsMath.d;}}else{',977,'=_ef;box.bh=_f3*',758,'_ef].h;box.bd=_f3*',758,'_ef].d;if(',821,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display:none\\">x</span','>";}}',981,'TeXfallback',730,'C,_f7,_f8,_f9','){var c=',758,'_f7][C];if(!c.tclass){c.tclass=_f7',991,'){',799,'.TeXnonfallback(',1016,');}if(c.h!=null&&c.a',989,'a=c.h-1.1*jsMath.TeX.x_height;}var a=c.a;var d=c.d;',974,'this.Text(c.c,c.tclass,_f8,_f9,a,d);var _fe=',967,'TeX(_f8,_f9).scale;if(c.bh!=null){box.bh=c.bh*_fe;box.bd=c.bd*_fe;}else{var h=box.bd+box.bh;','var html=',965,977,',box.html);html=',967,968,'_f8,_f9,html);box.bd',970,'html+',914,'Blank(1,h)).h-h;box.bh=h-box.bd;if(_fe==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',1011,'>";}',981,'TeXIMG',730,'font,C,size){var c=',758,'font][C];if(c.img.size!=null&&c.img.size==size&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',751,'_105=(',728,'.scale!=1);var id=',1051,'+size-4;if(id<0){id=0;_105=1;}else{if(id>=',753,'.length){','id=',753,'.length-1',';_105=1;}}var _107=',728,'[',753,'[id]];var img=_107[font][C];var _109=1/',728,'.w[',753,'[id]];if(id!=',1051,'+size-4){if(c.w!=null){_109=c.w/img[0];}else{_109*=',753,'[size]/',753,'[4]*',753,'[',1051,']/',753,'[id];}}var w=img[0]*_109;var h=img[1]*_109;var d=-img[2]*_109;var v;var _10e=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',914,'Em(c.w-w)+";";var _10f="";C=',728,'.HexCode[C];if(!_105&&!',797,'scaleImg){if(2*w<h||(',821,'msieAlphaBug&&',797,'alpha)){_10f="height',':"+(img[1]*',821,'imgScale',')+"px;";}_10f+=" width:"+(img[0]*',821,1097,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',821,'msieAlphaBug&&',797,1094,':"+',914,'Em(h*',821,1097,')+";";}_10f+=" width:"+',914,'Em(w*',821,1097,')+";";v=',914,'Em(d);}var _110=(Math.abs(d)<0.01&&!',821,'valignBug)?"":" ',855,'v+";";var URL=',728,'.URL(font,',753,'[id],C);if(',821,'msieAlphaBug&&',797,'alpha){','c.c="<img src=\\""+','jsMath.blank+"\\" "+"',859,821,'msieCenterBugFix+_10f+_110+_10e','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{',1131,'URL+"\\" ',859,821,1135,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=size;c.img.best=',1051,';},Space',730,'w){',775,961,'html",',914,'Spacer(w),w,0,0);},Rule',730,862,1032,914,'Rule(w,h);',775,961,'html",html,w',',h,0);},GetChar',730,'code,font){var c=',758,'font][code];','if(c.img!=null){this.TeXIMG(font,code',',4);}if(c.tclass',989,'tclass=font;}if(!c.computedW){c.w',970,965,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',987,'c.computedW=1;}',775,'c;},DelimBestFit',730,'H,c,font,','_11c){if(c==0&&font==0){',775,'null;}var C;var h;','font=jsMath.TeX.fam[','font];var ','isSS=(_11c.charAt(1)=="S");var isS=(_11c.charAt(0)=="S");while(c!=null){C=',758,'font][c];','if(C.h==null){C',1173,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,font',',"",H];}if(isSS&&0.5*h>=H',1191,',"SS",0.5*h];}if(isS&&0.7*h>=H',1191,',"S",0.7*h];}if(h>=H||C.n==null',1191,',"T",h];}c=C.n;}',775,'null;},DelimExtendRelative',730,1179,'a,_125){var C=',758,1187,'var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',965,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',1211,')));H=2*n*(',1211,')+(top.h+top.d)+(','mid.h+mid.d',')+(',1215,');if(_125){y','=0;}else{','y=H/2+a;}var Y=y;',1032,914,'Place(',965,'top.tclass,top.c),0,','y-top.h)+',914,1229,965,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',914,1229,965,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',756,'n;i++){','html+=',914,1229,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',1211,'));if(top.h+top.d<0.9*(',1211,')){n=Math.max(1,n);}H=n*(',1211,1220,1215,');if(_125){y',1225,'y=H/2+a;}var Y=y;',1032,914,1229,965,1231,'y-top.h);dx=(w-top',1243,1247,914,1229,965,1236,'w+bot.w)/2,Y-(H-bot.d));}if(_125){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',730,1179,'a,_13e){var Font=',758,1184,'C=Font[c];var html;',1206,1213,'-0.05)-(',1215,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1290,1220,1221,'-0.05)+(',1215,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',965,1231,'0);var h=',1290,';var y=top.d-0.05+rep.h;var ext=',965,'font,rep.c);',756,'n;i++){',1247,1298,'ext,0,y+i*h);}',1247,1298,965,1241,'),0,y+n*h-rep.h+mid.h);y+=n*h+',1221,'-0.05;',756,'n;i++){',1247,1298,'ext,0,y+i*h);}',1247,1298,965,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',1251,1288,1290,'));H=n*(',1290,1220,1215,'-0.05);html=',1298,965,1231,'0);var h=',1290,';var y=top.d-0.05+rep.h;var ext=',965,1209,756,'n;i++){',1247,1298,'ext,0,y+i*h);}',1247,1298,965,1326,'var w=top.w;if(_13e){h=top.h;y',1225,'h=H/2+a;y=h-top.h;}html=',914,'Absolute(html,w,','Font.h,"none",-y,jsMath.h);',1276,'Delimiter',730,'H,_154,_155,_156){var size=4;var TeX=',967,'TeX(_155,size);if(!_154','){return this.Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_154[','2],_154[1],_155);','if(CFSH==null','||CFSH[3]<H){',1366,'4],_154[3],_155);}',1368,1364,'if(CFSH[2]==""){',799,'.DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_156);}',974,952,'.TeX(',1377,'CFSH[2],size',').Styled();if(_156){box.y=-',758,'CFSH[1]].dh',979,'y=-((box.h+box.d)/2-box.d-',1378,');}',790,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1384,');}',981,'GetCharCode',730,'code){var ',1183,'code[0]];var Font=',758,1184,'c=Font[code[1]];',1165,'[1],4);}if(c.w',989,'w',970,965,1171,';}if(c.font',989,'font=font;}',775,'c;},AddClass',730,'_15f,html,font){if(_15f==null){_15f=font;}',775,965,'_15f,html);},LayoutRelative',730,'size,_163,_164,_165,_166,_167){if(_164==null){_164=[];}if(_165==null){_165=[];}if(_166==null){_166=[];}var _168=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_16c=-1000;var bh=_16c;var bd=_16c',';var i;var j;var row;for(i=0;i<','_163',771,'if(_166[i]==null){_166[i]=0;}row=_163','[i];H[i]=jsMath.h*','_168;D[i]=jsMath.d*_168',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(_166[_163','.length]==null){','_166[_163.length]=0;}if(bh==_16c){bh=0;}if(bd==_16c){bd=0;}','var HD=(jsMath.hd-0.01)*','_168;var dy=(_167||1)*_168/6;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _17b;var _17c',';for(j=0;j<W.length;j++){','_17b=[];y=-H[0]-_166[0];pW=0;for(i=0;i<_163',771,'_17c=_163[i][j];if(_17c&&_17c.format!="null"){','if(_164[j]=="','l"){w',1225,1447,'r"){w=W[j]-_17c.w;}else{w=(W[j]-_17c.w)/2;}}_17c.x=w-pW;pW=_17c.w+w;_17c.y=y;_17b[_17b.length]=_17c;}if(i+1<_163',1060,'y-=','Math.max(HD,D[i]+H[i+1])+dy+','_166[i+1];}}if(_165[j]==null){_165[j]=_168;}if(_17b.length>0',1394,'(_17b,"T",size);',1247,914,1229,'box.html,cW,0);cW=W[j]-box.w+_165[j];}else{cW+=_165[j];}}w=-_165[W',1063,'];y=(H',1063,')*dy+_166[0];for(i=0;i<W',771,'w+=W[i]+_165[i];}for(i=0;i<H',771,'y+=Math.max(HD,H[i]+D[i])+','_166','[i+1];}h=y/2+jsMath.TeX.axis_height;var d=y-h;',1247,914,'Spacer(cW-_165[W',1063,']+_168/6);html=',914,1229,'html,_168/6,h);box=',961,1159,'+_168/3,h,d);box.bh=bh;box.bd=bd;',981,'LayoutAbsolute',730,'size,_17f,_180,_181,_182,_183){if(_180==null){_180=[];}if(_181==null){_181=[];}if(_182==null){_182=[];}var _184=jsMath.sizes[size]/100;',1439,'_184;var dy=(_183||1)*_184/6',1426,'w=0;var h;var x;var y',1428,'_17f',771,'if(_182[i]==null){_182[i]=0;}row=_17f',1432,'_184;D[i]=jsMath.d*_184',1434,1435,'w;}}}}if(_182[_17f',1437,'_182[_17f.length]=0;}y=(H',1063,')*dy','+_182[0];for(i=0;i<','H',771,1469,'_182',1471,1441,'_193;w=_184/6',1443,'y=H[0]-h',1504,'_17f',771,'_193=_17f[i][j];if(_193&&_193.format!="null"){','if(_180[j]&&_180[j]=="','l"){x',1225,1518,'r"){x=W[j]-_193.w;}else{x=(W[j]-_193.w)/2;}}',1247,1298,'_193.html,w+x,y-Math.max(0,_193.bh-jsMath.h*_184));}if(i+1<_17f',1060,'y+=',1454,'_182[i+1];}}if(_181[j]==null){_181[j]=_184;}w+=W[j]+_181[j];}w=-_181[W',1063,']+_184/3;for(i=0;i<W',771,'w+=W[i]+_181[i];}html=',914,'Spacer(_184/6',')+html+',914,1535,');if(',821,926,'y=h-jsMath.h;}else{y=0;}html=',914,1356,'h+d,d,y,h);',974,961,1159,'+_184/3,h,d);',981,'InternalMath',730,'text,size){text=text.replace(/@\\(([^)]*)\\)/g,"<$1>");if(!text.match(/\\$|\\\\\\(/)){',799,'.Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _19a="";var _19b=[];var _19c;var html;var box;while(i<text',1060,'c=text.charAt(i++);if(c','=="$"){if(_19a=="$"){','_19c=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_19c.error){_19b[_19b.length]=this.Text(_19c.error,"error","T",size,1,0.2);}else{_19c.Atomize();_19b[_19b.length]=_19c.mlist.Typeset("T",size).Styled();}_19a="";k=i',';}else{','_19b[_19b.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_19a="$";k=i;}}else{if(c=="\\\\"){',1557,'=="("&&_19a==""){',1563,',i-2',1565,'_19a=")";k=i;}else{if(c==")"&&_19a==")"){',1559,'2',1561,';}}}}}',1563,1565,799,'.SetList(_19b,"T",size);},Set',730,'box',',_1a0,size',',_1a2){if(box&&box.type){','if(box.type=="typeset"){',775,'box;}if(box.type=="mlist"){box.mlist.Atomize(_1a0,size);',775,'box.mlist.Typeset(_1a0,size);}if(box.type=="text"){box=this.Text(box.text,',977,1583,',box.ascend||null,box.descend||null',');if(_1a2!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1583,1593,775,952,'.Null();},SetList',730,'_1a3,_1a4,size){var _1a6=[];var box;',756,'_1a3',771,'box=_1a3[i];',1585,'box=','jsMath.mItem','.Typeset(box);}_1a6[_1a6.length]=box;}var _1a9=new jsMath.Typeset(_1a6);',775,'_1a9.Typeset(_1a4,size);}});','jsMath.Package(jsMath.','Box,{Styled',748,'if(this.format=="text"){',955,965,'this.tclass,this.html);',955,967,968,'this.style,this.size,this.html);delete this.tclass;delete this.style;this.format="html";}',799,';},Remeasured',748,'if(this.w>0){this.w',970,'this.html).w;}',799,';}});',1608,953,'type,def){this.type=type;jsMath.Add(this,def);};',746,'mItem,{Atom',730,'type,_1ad','){return new jsMath.mItem','(type,{atom:1,nuc',':_1ad});},TextAtom',730,'type,text,_1b0,a,d){var atom=new ',1608,1639,':{type:"text",text:text,tclass:_1b0}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1646,'descend=d;}',775,'atom;},TeXAtom',730,'type,c,font',1638,1639,':{type:"TeX",c:c,font:font}});},Fraction',730,'name,num,den,_1ba,left,_1bc',1638,'("fraction",{from:name,num:num,den:den,thickness:_1ba,left:left,right:_1bc});},Space',730,'w',1638,'("space",{w:w});},Typeset',730,'box',1638,'("ord",{atom:1,nuc:box});},HTML',730,'html',1638,'("html",{html:html});}});jsMath.mList',953,'list,font,size,_1c3){if(list){this.mlist=list;}else{this.mlist=[];}if(_1c3==null){_1c3="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_1c3','};this.init={',1675,'};};',1612,'mList,{Add',730,'box){return (this.mlist[this.mlist.length]=box);},Get:functio'],
  ['n(i){','return ','this.mlist','[i];},Length',':function(){',1,2,'.length',';},Last',4,'if(',2,7,'==0){',1,'null;}',1,2,'[',2,7,'-1];},Range',':function(','i,j){if(j==null){j=',2,7,';}',1,'new ','jsMath.','mList(',2,'.slice(i,j+1));},Delete',22,23,'i;}if(',2,'.splice){',2,'.splice(i,j-i+1);}else{var _1ca=[];for(var k=0;k<',2,7,';k++){if(k<i||k>j){_1ca[_1ca',7,']=',2,'[k];}}',2,'=_1ca;}},Open',22,'left){','var box','=','this.Add(','new ',29,'mItem("boundary",{','data:','this.data','}));var _1ce=',58,';',58,'={};for(var i in _1ce){',58,'[i]=_1ce[i];}delete ',58,'.overI',';delete ',58,'.overF;',58,'.openI=',2,7,'-1;if(left!=null){box.left=left;}',1,'box;},Close',22,'_1d0){if(_1d0!=null){_1d0=new ',29,56,'right:_1d0});}var atom;var open=',58,'.openI;','var over=this.data.overI;var from=this.data.overF;',58,'=',2,'[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1d0){','var _1d5=new ',29,'mList([',2,'[open],atom,_1d0]);atom=',29,'mItem.Atom','("inner','",{type:"mlist",mlist:','_1d5});}}else{var _1d6=open+1;',91,53,'_1d0);_1d6--;}atom=',29,98,'((_1d0)?"inner":"ord',100,'this.Range(_1d6)});}this.Delete(open,this.Length());',1,53,'atom);},Over',4,85,'var ',90,2,'=[atom];},Atomize',22,'_1da',',size){var ','_1dc;var prev="";','this.style','=_1da;','this.size','=size;for(var i=0;i<',2,7,';i++){','_1dc=',2,'[i];_1dc','.delta=0;','if(_1dc.type=="choice"){',2,'=this.Atomize.choice(',123,',_1dc,i,',2,');i--;}','else{if(','this.Atomize[_1dc.type',']){var f=',142,'];f(',123,',',125,',_1dc,prev,this,i);}}prev=_1dc;}if(_1dc&&_1dc','.type=="bin"){','_1dc','.type="ord";}','if(',2,7,'>=2&&_1dc.','type=="boundary','"&&',2,'[0].',157,'"){this.','AddDelimiters','(_1da,size);}},',163,22,'_1e0',121,'_1e2=-10000;var h=_1e2;var d=_1e2;for(var i=0;i<',2,7,129,'var _1e6=',2,'[i];if(_1e6.atom||_1e6.type=="box"){h','=Math.max(','h,_1e6.nuc.h+_1e6.nuc.y);d',176,'d,_1e6.nuc.d-_1e6.nuc.y);}}var TeX=',29,'TeX;var a=','jsMath.Typeset.','TeX(_1e0,size).axis_height;var _1e9',176,'h-a,d+a);var H',176,'Math.floor(','TeX.integer','*_1e9/500)*TeX.delimiterfactor,',188,'*(2*_1e9-TeX.delimitershortfall))/',188,';var left=',2,'[0];var _1ec=',2,'[',2,7,'-1];left.nuc=',29,'Box.Delimiter(','H,left.left,_1e0);_1ec.nuc=',29,202,'H,_1ec.right,_1e0);left.type="open";left.atom=1',68,'left.left;_1ec.type="close";_1ec.atom=1',68,'_1ec.right;},','Typeset',22,'_1ed',121,'_1ef=new ',29,211,'(',2,');',1,'_1ef.',211,'(_1ed,size);}});',29,'Add(',29,'mList.prototype.Atomize,{style',22,'_1f0,size,_1f2,prev,_1f4){_1f4.style=_1f2.style;},size',22,'_1f5,size,_1f7,prev,_1f9){_1f9.size=_1f7.size;},phantom',22,'_1fa,size,_1fc){',51,'=_1fc.nuc','=jsMath.Box.Set(','_1fc.phantom',',_1fa,size);if(_1fc.h){box','.Remeasured();','box.html=',29,'HTML.Spacer(','box.w);}else{','box.html="",box.w=0;}if(!_1fc.v){','box.h=box.d=0',';}box.bd=box.bh=0',68,238,';_1fc.type="box";},smash',22,'_1fe,size,_200){',51,'=_200.nuc',237,'_200.smash',',_1fe,','size).Remeasured();',246,68,256,';_200.type="box";},raise',22,'_202,size,_204){_204.nuc',237,'_204.nuc,_202',',size);var ','y=_204.raise;_204.nuc.html=',29,'HTML.Place(_204.nuc.html,0,y);_204.nuc.h+=y;_204.nuc.d-=y;_204','.type="ord";','_204.atom=1;},lap',22,'_206,size,_208){',51,237,'_208.nuc,_206,',258,'var _20a=[box];','if(_208.lap=="','llap"){','box.x=-box.w',';}else{',280,'rlap"){_20a[1]=',29,'mItem.Space','(-',244,280,'ulap"){box.y=box.d;',246,283,280,'dlap"){box.y=-box.h;',246,';}}}}_208','.nuc=jsMath.Box.SetList','(_20a,_206,size);',280,'ulap"||_208.lap=="dlap"){_208.nuc.h=_208.nuc.d=0;}_208.type="box";delete _208.atom;},bin',22,'_20b,size,_20d',',prev){if(prev','&&prev.type){var type=prev.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(',157,'"&&prev.left!="")){_20d.type="ord";}}else{_20d',152,'jsMath.mList.prototype.Atomize.SupSub(',303,');},rel',22,'_210,size,_212',304,'.type&&prev',150,'prev',152,309,313,');},close',22,'_214,size,_216',304,'.type&&prev',150,'prev',152,309,323,');},punct',22,'_218,size,_21a',304,'.type&&prev',150,'prev',152,309,333,');},open',22,'_21c,size,_21e','){',309,343,');},inner',22,'_21f,size,_221','){',309,349,');},','vcenter',22,'_222,size,_224','){',51,237,'_224.nuc,_222',267,'TeX=',182,'TeX(_222,size);box.y=','TeX.axis_height','-(box.h-box.d)/2;_224.nuc=box;_224',271,309,356,');},','overline',22,'_227,size,_229','){var TeX=',182,'TeX(_227',267,'box',237,'_229.nuc,',182,'PrimeStyle','(_227),',258,'var t=','TeX.default_rule_thickness',';var rule=jsMath.Box.Rule(box.w,t);rule.','x=-rule.w;rule.y','=box.h+3*t;_229',298,'([box,','rule],_227,size);_229.nuc.h+=t;_229',271,309,373,');},','underline',22,'_22e,size,_230','){var TeX=',182,'TeX(_22e',267,'box',237,'_230.nuc,',182,382,'(_22e),',258,385,386,387,388,'=-box.d-3*t-t;_230',298,391,'rule],_22e,size);_230.nuc.d+=t;_230',271,309,399,');},radical',22,'_235,size,_237','){var TeX=',182,'TeX(_235',267,'Cp=',182,382,'(_235);',51,237,'_237.nuc,Cp,',258,385,386,';var p=t;if(_235=="D"||_235=="D\'"){p=','TeX.x_height',';}var r=t+p/4;var surd=',29,202,'box.h+box.d','+r+t,[0,2,112,3,112],_235,1);if(surd.d>',444,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r',387,'y=surd.y-t/2;rule.h+=3*t/2;',282,';var Cr=',182,'UpStyle(',182,453,'_235));var root',237,'_237.root||null,Cr,',258,'if(_237.root){root.y=0.55*(',444,'+3*t+r)-box.d;surd.x',176,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_237',298,'([surd,root,rule,box],_235,size);_237',271,309,424,');},accent',22,'_242,size',',_244){var TeX=',182,'TeX(_242',267,'Cp=',182,382,'(_242);',51,237,'_244.nuc,Cp',267,'u=box.w;var s;var Font;if(_244.','nuc.type=="TeX','"){Font=',29,'TeX[_244.nuc.font];if(','Font[_244.nuc.c].krn','&&Font.skewchar){s=',490,'[Font.skewchar];}}if(s==null){s=0;}var c=_244.accent[2];var font=',29,'TeX.fam[_244.accent[1]];Font=',29,'TeX[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _24d=Math.min(box.h,',440,');if(_244.',486,'"){var _24e=',29,98,'("ord",_244.nuc);_24e.sup=_244.sup;_24e.sub=_244.sub;_24e',133,309,472,',_24e);_24d+=(_24e.nuc.h-box.h);box=_244.nuc=_24e.nuc',68,'_244.sup',68,'_244.sub;}var acc=',29,'Box.TeX(c,font,',472,');acc.y=box.h-_24d;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}_244',298,391,'acc],',472,');if(_244.nuc.w!=box.w){var _250=',29,287,'(box.w-_244.nuc.w);_244',298,'([_244.nuc,_250],',472,');}_244',271,309,472,',_244);},op',22,'_251,size,_253','){var TeX=',182,'TeX(_251',267,'box;_253',133,'var isD=(_251','.charAt(0)=="','D");if','(_253.limits','==null&&isD){_253.limits=1;}if(_253.',486,'"){var C=',29,'TeX[_253.nuc.font][','_253.nuc.c];if(isD&&C.n){_253.nuc.c=C.n;C=',29,549,'C.n];}box',237,'_253.nuc,_251,size',');if(C.ic){_253','.delta=C.ic*TeX.scale;if',544,'||!_253.sub||',29,'Browser.msieIntegralBug','){box=',29,'Box.SetList([','box,',29,287,'(_253','.delta)],','_251,size);}}','box.y=-((',444,')/2-box.d-',365,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',237,555,').Remeasured();}if',544,'){var W=box.w;var x=box.w;var _25a=[box];var dh=0;var dd=0;if(_253.sup){var sup',237,'_253.sup,',182,453,'_251),',258,'sup.x=((box.w-sup.w)/2+','_253.delta/2)-x;','dh=TeX.big_op_spacing5;W',176,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);_25a[_25a',7,']=sup',68,'_253.sup;}if(_253.sub){var sub',237,'_253.sub,',182,'DownStyle','(_251),',258,'sub.x=((box.w-sub.w)/2-',588,'dd=TeX.big_op_spacing5;W',176,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);_25a[_25a',7,']=sub',68,'_253.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){_25a[_25a',7,']=',29,287,'(W-x);}_253',298,'(_25a,_251,size);_253.nuc.h+=dh;_253.nuc.d+=dd;}',141,29,561,'&&_253.sub&&C&&C.ic){_253',298,391,29,'Box.Space','(-C.ic*TeX.scale)],_251,size);}',141,'box.y){_253',298,'([box],',570,309,534,');}},ord',22,'_25f,size,_261',',prev,_263,i){if(_261.',486,'"&&!_261.sup&&!_261.sub){var _265=','_263.mlist','[i+1];if(_265&&_265.atom&&_265.type&&(_265.type=="ord','"||_265.type=="','op',642,'bin',642,'rel',642,'open',642,'close',642,'punct")){if(_265.',486,'"&&_265.nuc.font==_261.nuc.font){_261.textsymbol=1;var krn=',29,'TeX[_261.nuc.font][_261.nuc.c].krn;krn*=',182,'TeX(_25f,size).scale;if(krn&&krn[_265.nuc.c]){for(var k=',640,7,'-1;k>i;k--){',640,'[k+1]=',640,'[k];}',640,'[i+1]=',29,287,'(krn[_265.nuc.c]);}}}}',309,636,');},fraction',22,'_268,size,_26a','){var TeX=',182,'TeX(_268',267,'t=0;if(_26a.thickness!=null){t=_26a.thickness;}',141,'_26a.from.match(/over/)){t=',386,';}}var isD=(_268',542,'D");var Cn=(_268=="D")?"T":(_268=="D\'")?"T\'":',182,453,'_268);var Cd=(isD)?"T\'":',182,599,'(_268);var num',237,'_26a.num',',Cn,',258,'var den',237,'_26a.den,Cd,',258,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _276=[',29,202,'H,_26a.left,_268)];var _277=',29,202,'H,_26a.right,_268);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_276[1]=num;_276[2]=den',283,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_276[1]=den;_276[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',283,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0){var p=(isD)?7*',386,':3*',386,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t;var a=',365,716,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',717,'v+=p-r;}var rule=',29,'Box.Rule(w,t);rule.x=-w;rule.y=a-t/2;_276[_276',7,']=rule;}num.y=u;den.y=-v;_276[_276',7,']=_277;_26a',298,'(_276,_268,size);_26a',271,'_26a.atom=1',68,695,68,'_26a.den;',309,676,');},SupSub',22,'_27e,size',',_280){var TeX=',182,'TeX(_27e',267,'nuc','=_280.nuc',';',51,748,237,'_280.nuc,',742,',0);if(box.format=="null"){box',748,'=',29,'Box.Text("","normal",',742,');}if(',486,'"){if(!_280.textsymbol){var C=',29,'TeX[nuc.font][nuc.c];if(C.ic){_280',557,'(!_280.sub){','box=_280',298,391,29,625,'(_280',569,742,');_280.delta=0;}}}else{_280.delta=0;}}if(!_280.sup&&!_280.sub){return;}_280.nuc.Styled();var Cd=',182,599,'(_27e);var Cu=',182,453,'_27e);var q=',182,'TeX(Cu,size).','sup_drop;var r=',182,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type&&nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_280.sub){var sub',237,'_280.sub,Cd,size);sub=',29,564,'sub,',29,287,'(TeX.scriptspace)],_27e,size',');}if(!_280.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',182,787,'x_height);_280',298,391,'sub],',742,').Styled();','delete _280.','sub;return;}var sup',237,'_280.sup,Cu,size);sup=',29,564,'sup,',29,287,796,');if(_27e=="D"){p=TeX.sup1;}',141,'_27e','.charAt(','_27e',7,'-1)=="\'"){','p=TeX.sup3',283,'p=TeX.sup2;}}u',176,'u,p,sup.d+',182,784,'x_height/4);if',767,'sup.y=u;_280',298,391,'sup],',742,');',806,'sup;return;}v',176,'v,',182,787,'sub2);',385,386,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*',440,'-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',240,'sub',240,'sup.y=u;sub.y=-v;sup.x=_280.delta;if(sup.w+sup.x>sub.w){sup.x-=sub.w;_280',298,391,'sub,sup],',742,');}else{sub.x-=(sup.w+sup.x);_280',298,391,'sup,sub],',742,');}',806,'sup',68,'_280.sub;}});',29,211,'=function(_28f){this.type="typeset";',2,'=_28f;};',29,226,29,211,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',878,'\'",SS:"SS\'","',880,'UpStyle',22,'_290){',1,'this.upStyle[_290];},',599,22,'_291){',1,'this.downStyle[_291];},',382,22,'_292){if(_292',819,'_292',7,822,1,'_292;}',1,'_292+"\'";},StyleValue',22,'_293,v){if(_293=="S"||_293=="S\'"){',1,'0.7*v;}if(_293=="SS"||_293=="SS\'"){',1,'0.5*v;}',1,'v;},StyleSize',22,'_295,size){if(_295=="S"||_295=="S','\'"){size=Math.max(0,size-','2);}else{if(','_295=="SS','"||',918,916,'4);}}',1,'size;},TeX',22,'_297,size){if(_297=="S"||_297=="S',916,917,'_297=="SS','"||',929,916,922,1,29,'TeXparams[size];},AddStyle',22,'_299,size,html){if(_299=="S"||_299=="S',916,917,'_299=="SS','"||',941,916,922,'if(size!=4){html="<span class=\\"size"+size+"\\">"+','html+"</span>";}',1,'html;},AddClass',22,'_29c,html){if(_29c!=""&&_29c!="normal"){html=',29,'HTML.Class(_29c,html);}',1,'html;}});',29,'Package(',29,211,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',961,'punct',963,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',963,',bin:2,rel:3,open',969,'}},SSsep:{ord:{op:1},op',963,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',22,'l,r,_2a0){if(l&&l.atom&&r.atom){var _2a1=this.DTsep;if(_2a0',542,'S"){_2a1=this.SSsep;}var row=_2a1[l.type];if(row&&row[r.type]!=null){',1,29,'TeX[this.sepW[row[r.type]]];}}',1,'0;},',211,22,'_2a3,size){',123,'=_2a3;',125,'=size;var _2a5=-10000;this.w=0;this.h=_2a5;this.d=_2a5;this.bh=this.h;this.bd=this.d;this.tbuf="";this.tx=0;','this.tclass','="";','this.cbuf','="";this.hbuf="";this.hx=0;var _2a6=null;var prev;this.x=0;this.dx=0;for(var i=0;i<',2,7,129,'prev=_2a6;_2a6=',2,'[i];switch(_2a6.type){case "size":','this.FlushClassed();',125,'=_2a6.size;','_2a6=prev;break;case "','style":',1004,'if(',123,819,123,7,822,123,'=_2a6.style','+"\'";}else{',123,1017,';}',1007,'space":if(typeof (_2a6.w)=="object"){if(',123,819,'1)=="','S"){_2a6.w=0.','5*','_2a6.w[0]/18',';}',141,123,542,1027,'7*',1029,283,'_2a6.w=',1029,';}}}this.dx+=_2a6.w-0;',1007,'html":',1004,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_2a6.html;_2a6=prev;break;default:if(!_2a6.atom&&_2a6.type!="box"){break;}','_2a6.nuc.','x+=this.dx+this.',977,'(prev,_2a6,',123,');if(',1048,'y||',1048,'x){',1048,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',1048,'w+',1048,'x;if(',1048,'format=="text"){if(',994,'!=',1048,'tclass','&&',994,'!=""){','this.FlushText','();}','if(this.tbuf','==""&&',996,'==""){this.tx=this.x;}this.tbuf+=',1048,'html;',994,'=',1048,1069,283,1004,'if(',1048,'x||',1048,'y){this.Place(_2a6.nuc);}',1044,'x;}',1046,1048,'html;}this.h',176,'this.h,',1048,'h+',1048,'y);this.bh',176,'this.bh,',1048,'bh);this.d',176,'this.d,',1048,'d-',1048,'y);this.bd',176,'this.bd,',1048,'bd);break;}}',1004,'if(this.dx){',1046,29,243,'this.dx);this.w+=this.dx;}if(this.hbuf==""){',1,29,'Box.Null();}if(this.h==_2a5){this.h=0;}if(this.d==_2a5){this.d=0;}',51,'=new ',29,'Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;',1,'box;},FlushText',4,1075,'==""){return;}',996,'+=',182,'AddClass(',994,',this.tbuf);this.tbuf="";',994,'="";},FlushClassed',4,1073,'();if(',996,1134,1044,'tx;}',1046,182,'AddStyle(',123,',',125,',',996,');',996,'="";},Place',22,'item){var ','html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',29,'HTML.Em(item.x)+";";}if(item.y){html+=" top:"+',29,'HTML.Em(-item.y',')+";";}item.html=html+"\\">"+item.html+"</span>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',22,'item){if(item.y){item.',1163,'; "+"top:"+',29,1168,')+";"+"\\">"+item.',947,'if(item.x){item.html=',29,243,'item.x)+item.html;}',1170,';}});',29,'Parse','=function(s,font,size,','_2b0){var _2b1=new ',29,'Parser','(s,font,size,_2b0);_2b1.Parse();',1,'_2b1;};',29,1191,1188,'_2b5){this.string=s;this.i=0;',2,'=new ',29,30,'null,font,size,_2b5);};',29,'Package(',29,1191,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1209,'r',1209,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],lt:[3,1,60],gt:[3,1,62],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],','leftarrow',':[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],','mapstochar',':[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],minuschar:[3,2,0],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0',',2,105,3,11],"\\\\','lt":[0',',2,104,3,10],"\\\\','gt":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1229,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1229,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1227,'rangle":[5',1223,'langle":[4',1225,'rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1241,'T"],scriptstyle',1241,'S"],scriptscriptstyle',1241,'SS"],rm',':["HandleFont",','0],mit',1249,'1],oldstyle',1249,'1],cal',1249,'2],it',1249,'4],bf',1249,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1263,'arctan',1263,'arg',1263,'cos',1263,'cosh',1263,'cot',1263,'coth',1263,'csc',1263,'deg',1263,'det',':"NamedOp",','dim',1263,'exp',1263,'gcd',1283,'hom',1263,'inf',1283,'ker',1263,'lg',1263,'lim',1283,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1301,'sup"],ln',1263,'log',1263,'max',1283,'min',1283,'Pr',1283,'sec',1263,'sin',1263,'sinh',1263,'sup',1283,'tan',1263,'tanh',1263,354,':["HandleAtom","',354,'"],',371,1327,371,'"],',397,1327,397,'"],over',':"HandleOver",','overwithdelims',1338,'atop',1338,'atopwithdelims',1338,'above',1338,'abovewithdelims',1338,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1350,'","[","]"],choose',1350,'","(",")"],overbrace',1261,'leaders"],','underbrace',1261,1357,'overrightarrow',1261,1357,'overleftarrow',1261,1357,'overset',1261,'underset-overset"],','underset',1261,1369,'llap',':"HandleLap",','rlap',1374,'ulap',1374,'dlap',1374,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1382,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1386,'not="],neq',1386,'not="],notin',1386,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1386,1393,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1386,'mathbin{\\\\rm mod}"],pmod',1386,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1386,'ointop\\\\nolimits"],doteq',1386,'buildrel\\\\textstyle.\\\\over="],ldots',1386,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1386,1409,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1386,1409,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1386,1409,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1386,1393,'kern-4mu}"],relbar',1386,1393,'smash-}"],Relbar',1386,1398,'="],bowtie',1386,1398,'\\\\',1215,'\\\\joinrel\\\\',1398,'\\\\triangleleft"],models',1386,1398,'|\\\\joinrel="],mapsto',1386,1393,1219,'\\\\rightarrow}"],rightleftharpoons',1386,354,'{\\\\',1393,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1221,'}"],hookrightarrow',1386,'lhook','\\\\joinrel\\\\rightarrow','"],hookleftarrow',1386,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1386,'Relbar',1433,'Rightarrow"],','longrightarrow',1386,'relbar',1452,'"],longleftarrow',1386,1455,'relbar"],Longleftarrow',1386,'Leftarrow\\\\joinrel\\\\','Relbar"],longmapsto',1386,1393,1219,'\\\\minuschar',1452,'}"],longleftrightarrow',1386,1217,1452,'"],','Longleftrightarrow',1386,1470,1460,'iff:["Macro","\\\\;\\\\',1482,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1489,'rm #1}",1],mathbf',1489,'bf #1}",1],','mathbb',1489,1494,'mathit',1489,'it #1}",1],textrm',1386,'mathord{\\\\hbox{#1}}",1],textit',1386,'mathord{\\\\class{','textit','}{\\\\hbox{#1}}}",1],','textbf',1386,1504,1507,1506,'TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace:["Spacer",1/2],quad:["Spacer",1],qquad:["Spacer",2],thinspace:["Spacer",1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1513,'ord",1.15],bigg',1513,'ord",1.45],Bigg',1513,'ord",1.75],bigl',1513,'open",0.85],Bigl',1513,'open",1.','15],biggl',1513,1524,'45],Biggl',1513,1524,'75],bigr',1513,'close",0.85],Bigr',1513,'close",1.','15],biggr',1513,1535,'45],Biggr',1513,1535,'75],bigm',1513,'rel",0.85],Bigm',1513,'rel",1.15],biggm',1513,'rel",1.45],Biggm',1513,'rel",1.75],mathord',1327,'ord"],mathop',1327,'op"],mathopen',1327,'open"],mathclose',1327,'close"],mathbin',1327,'bin"],',1398,1327,'rel"],mathpunct',1327,'punct"],mathinner',1327,'inner"],','mathchoice',1261,1568,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1261,'fbox"],strut:"Strut",mathstrut',1386,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1576,'18]],ddot',1576,'127]],tilde',1576,'126]],bar',1576,'22]],breve',1576,'21]],check',1576,'20]],hat',1576,'94]],vec',':["MathAccent",[0,','1,126]],dot',1576,'95]],widetilde',1592,'3,101]],widehat',1592,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1600,'","&nbsp;","normal"],angle:["',1600,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix","(",")","c"],cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',1606,'c"],null,3,"D"],cr:"HandleRow","\\\\":"HandleRow",newline:"HandleRow",noalign:"H'],
  ['andleNoAlign",eqalignno',':["Matrix",null,null,["r","l","r"],[5/8,3],3,"D"],','leqalignno',1,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',5,'1],scriptsize',5,'2],small',5,'3],normalsize',5,'4],large',5,'5],Large',5,'6],LARGE',5,'7],huge',5,'8],Huge',5,'9],dots:["Macro","\\\\ldots"],','newcommand',':["Extension","',25,'"],def',26,25,'"],color',26,'HTML"],','href',26,'HTML"],"class":["Extension","',33,'style',26,33,'cssId',26,33,'unicode',26,33,'bbox',26,'bbox"],require:"Require","char":"Char"},','environments',':{array:"Array",matrix',':["Array",null,null,"','c"],pmatrix:["Array","(",")","c"],bmatrix:["Array","[","]","c"],Bmatrix:["Array","\\\\{","\\\\}","c"],vmatrix:["Array","\\\\vert","\\\\vert","c"],Vmatrix:["Array","\\\\Vert","\\\\Vert","c"],cases:["Array","\\\\{",".","ll",null,2],eqnarray',52,'rcl",[5/18,5/18],3,"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',59,'[id]]=obj[id];}},Error',56,'(s){this.i','=this.','string','.length;','if(s','.error){','this.error','=s.error;}else{if(!this',69,70,'=s;}}},nextIsSpace',56,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',56,'(text){','if(typeof (','text)!="string"){',77,'text;}',77,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',56,'(arg','){var ','data=','this.mlist.','data;','arg','=jsMath.Parse(','arg,','data.font',',','data.size',',data.style',');if(arg',69,'this.Error(','arg);','return null;}','if(arg.mlist.Length()==','0){',108,109,'1',93,'atom=','arg.mlist.','Last();if(','atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',121,'TeX")){',77,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},','GetCommand',56,'(){var ','_2bd=/^([a-z]+|.) ?/i;var cmd=_2bd.exec(','this.string.slice(','this.i));','if(cmd){this.i+=cmd[1].length;',77,'cmd[1];}','this.i++;','return " ";},','GetArgument',':function(name',',','_2c0){','while','(this.nextIsSpace()){this.i','++;}if(this.i>=','this.string','.length){','if(!',141,'this.Error("','Missing',' argument for "+name);}',108,'if(',78,')==this.','close){if(!',141,149,'Extra close brace','");}',108,'if(',78,155,'cmd){',136,77,'this.cmd+','this.',127,'();}if(',78,')!=','this.open){',77,78,'++);}var j','=++this.i;var ','_2c2=1;var c="";',142,'(this.i<this.string.length){','c=',78,'++);','if(c==this.cmd){','this.i','++;}else{if(c','==',174,'_2c2',187,'==this.close){if(','_2c2==0){',149,159,'");',108,'if(--',193,77,131,'j,this.i-1);}}}}}',149,'Missing close brace','");',77,'null;},ProcessArg',139,'){var arg=this.',138,'(','name);','if(this.error){return',' null;}','return this.Process(arg);},','ProcessScriptArg',139,209,138,'(',212,213,214,'if(arg.charAt(0',155,'cmd',93,'_2c8=arg.substr(1);if(_2c8=="frac"){arg+="{"+this.',138,'(_2c8)+"}";',213,214,'arg+="{"+this.',138,'(_2c8)+"}";',213,' null;}}else{if(_2c8','=="sqrt"){arg+="["+this.','GetBrackets','(_2c8)+"]";',213,214,'arg+="{"+this.',138,'(_2c8)+"}";',213,237,'.match(this.scriptargs)){arg+="{"+this.',138,'(_2c8)+"}";',213,' null;}}}}}',215,'GetDelimiter',139,'){',142,143,'++;}var c=',78,');if',181,136,185,'c="\\\\"+this.',127,'(',212,213,' null;}}','if(','this.delimiter[','c]!=null){',77,272,'c];}}',149,150,' or unrecognized delimiter for "+','name);return null;},','GetDimen',139,',nomu',93,'rest;var _2ce=0;if',143,'++;}if(',78,')=="{"){rest',65,138,'(name);}else{rest=',131,'this.i);_2ce=1;}',77,'this.ParseDimen(','rest,name,_2ce,nomu);},ParseDimen',56,'(_2cf,name,_2d1,nomu',93,'_2d3=_2cf.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2d3){',149,150,' dimension or its units for "+',212,108,'if(_2d1){this.i+=_2d3[0].length;if',143,'++;}}var d=_2d3[1]-0;if(_2d3[4]=="px"){d/=jsMath.em',';}else{if(_2d3[4]=="','pt"){d/=10',310,'ex"){d*=','jsMath.TeX.','x_height',310,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',77,'d;},GetNext',56,'(){',142,143,'++;}',77,78,');},',239,139,93,'c',65,'GetNext();if(c','!="["){return "";}var _2d7',178,'_2d8=0;',142,181,'var c=',78,'++);if(c=="{"){','_2d8',187,'=="}"){','if(_2d8==0){',149,159,' while looking for',' \']\'");',108,'_2d8--;}else{',185,'this.i',187,'=="]"){',345,77,131,'_2d7,this.i-1);}}}}}}',149,'Couldn\'t find',' closing \']\' for argument to "+',168,280,'GetUpto',139,',_2db){',142,143,'++;}var _2dc',65,'i;var _2dd=0;',142,181,'var c=',78,341,'_2dd',187,'=="}"){','if(_2dd==0){',149,159,348,' "+',168,'_2db);',108,'_2dd--;}else{',185,'if(',131,'this.i,this.i+','5)=="begin"){_2dd++;this.i+=4;}else{if(',131,393,'3)=="end"){if(_2dd>0){_2dd--;this.i+=2;}}}',381,'if(',131,393,'_2db.length)==_2db){c=',78,'+_2db.length);if(c.match(/[^a-z]/i)||!_2db.match(/[a-z]/i)){var arg=',131,'_2dc,this.i-1);this.i+=_2db',67,77,'arg;}}}this.i++;}}}}',149,361,' "+',168,'_2db+" for "+',280,'ProcessUpto',139,',_2e1',209,365,'(name,_2e1);',213,214,215,'GetEnd',56,'(env',93,'body="";var name="";',142,'(name!=env){body+=this.',365,'("begin{"+env+"}","end");',213,214,'name',65,138,'(this.cmd+"','end");',213,270,77,'body;},Space',56,'(){},','Prime',56,'(c',93,'base=',95,117,'base==null||(!base',119,'base.type!="','box"&&',456,'frac")){base=','this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}));}','if(base.sup){',149,'Prime causes double exponent',': use braces to clarify");return',';}var ','sup="";',142,'(c=="\'"){sup+=this.cmd+"prime";c',65,333,'=="\'"){this.i++;}}base.sup',65,90,'(sup);','base.sup.isPrime','=1;},RaiseLower',139,93,'h','=this.GetDimen(this.cmd+name',',1);',213,466,'box',65,216,'(this.cmd+name);if(this.error){return',';}if(name=="','lower"){h=-h;}',95,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',139,93,'x',481,482,213,466,'box','=this.ProcessArg',488,489,'moveleft"){x=-x;}',460,'Space(x));',460,'Atom("ord",box));',460,'Space(-x));},Require',139,93,'file',65,138,488,';}file=','jsMath.Extension','.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.Extension(null,[','file]);},Extension',139,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',59,'[data[1]||"macros"][name];}',519,'.Require(data[0],',529,'.asynchronous',');throw "restart";},Frac',139,93,'num',502,488,466,'den',502,488,';}',460,'Fraction("over",num,den));},Sqrt',139,93,'n',65,239,488,466,'arg',502,488,';}var box=jsMath.mItem.Atom("radical",arg);','if(n!=""){box.root',65,90,'(n);',213,';}}',95,'Add(box);},','Root',139,93,'n',65,416,'(',168,'name,"of");',213,466,'arg',502,488,562,'box.root=n;',95,570,'BuildRel',139,93,'top',65,416,'(',168,'name,"over");',213,466,'bot',502,488,466,'op','=jsMath.mItem.Atom("','op",bot);op.limits=1;op.sup=top;',95,'Add(op);},MakeBig',139,',data){var ','type=data[0];var h=data[1]*jsMath.p_height;var _306',65,254,488,';}',460,'Atom(type,','jsMath.Box','.Delimiter(h,_306,"T")));},Char',139,93,'font',65,138,488,466,'n',65,138,488,';}if(!','jsMath.TeX[font',']){',632,']=[];',525,'jsMath.Font.URL(font',')]);}else{',460,'Typeset(',618,'.TeX(n-0,font,"T",',95,102,')));}},Matrix',139,',_30b',93,'data=',95,96,'var arg',65,138,488,466,'_30e','=new jsMath.Parser(arg+this.cmd+"\\\\",null,data.size,','_30b[5]||"T");_30e.matrix=name;_30e.row=[];_30e.table=[];_30e.rspacing=[];_30e.Parse();if(_30e',69,106,'_30e);',524,'_30e','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_30e.table,_30b[2]||null,_30b[3]||null,_30e.rspacing,_30b[4]||null);if(_30b[0]&&_30b[1]){var left','=jsMath.Box.Delimiter(box.h+box.d-jsMath.hd/4,this.delimiter[','_30b[0]],"T");var _311',667,'_30b','[1]],"T");box=jsMath.Box.SetList([left,box,','_311],','data.style,data.size',');}',460,'Atom((_30b','[0]?"inner":"ord"),box));},','HandleEntry',139,'){','if(!this.','matrix){',106,'name+" can only appear in a matrix or array");return;}if(',95,'data.openI',531,'var open=',95,'Get(',95,686,');if(open','.left){',149,150,' "+this.cmd+"right','");}else{',149,204,'");}}if(',95,'data.overI',531,95,'Over();}var data=',95,96,95,'Atomize(',673,');var box=',95,640,673,');this.row[','this.row.length',']=box;this.mlist=new jsMath.mList(null,null,',102,103,');},HandleRow',139,',last',93,'_318;',681,'matrix){',106,168,684,'name=="\\\\"){_318',65,239,488,';}if(_318){','_318=',296,'_318,',168,'name,0,1);}}this.',678,'(',212,'if(!last||',717,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row',735,'this.rspacing[this.table.length',']=_318;}this.row=[];},HandleNoAlign',139,209,138,488,466,'skip=arg.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(skip.length==arg',146,524,'var d=',296,'skip,',168,'RegExp.$1,0',482,213,';}',750,']=(',750,']||0)+d;},Array',139,',_31e',93,'_31f=_31e[2];var _320=_31e[3];if(!_31f){_31f',65,138,439,'begin{"+name+"}");',213,';}}_31f=_31f.replace(/[^clr]/g,"");_31f=_31f.split("");var data=',95,96,'var _322=_31e[5]||"T";var arg',65,425,'(',212,213,466,'_324',658,'_322);_324.matrix=name;_324.row=[];_324.table=[];_324.rspacing=[];_324.Parse();if(_324',69,106,'_324);',524,'_324',665,'_324.table,_31f,_320,_324.rspacing,_31e[4]);if(_31e[0]&&_31e[1]){var left',667,'_31e[0]],"T");var _327',667,'_31e',671,'_327],',673,');}',460,'Atom((_31e',677,'Begin',139,93,'env',65,138,488,';}if(env.match(/[^a-z*]/i)){',149,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',681,50,'[env]){',149,'Unknown',822,824,'var cmd',65,50,'[env];',82,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',139,93,'env',65,138,488,';}',106,168,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',139,',w){',460,'Space(w-0));},Hskip',139,93,'w',65,281,488,';}',460,'Space(w));},HBox',139,'){var text=this.',138,488,';}','var box=jsMath.','Box.InternalMath(text,',95,102,');',460,640,'box));},Rule',139,',_335',93,'w',481,482,213,466,'h',481,482,213,466,'d',481,482,213,';}h+=d;var html;if(h!=0){h=Math.max(1.05/jsMath.em,h);}if(h==0||w==0||_335=="blank"){html=','jsMath.HTML.','Blank(w,h);}else{html=',894,'Rule(w,h);}if(d){html="<span style=\\"','vertical-align:"+',894,'Em(-d)+"\\">"+','html+"</span','>";}',460,640,'new ',618,'("html",html,w,h-d,d)));},Strut',56,129,'size=',95,102,';',868,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',460,640,'box));},Phantom',139,610,'arg',502,488,';}',95,492,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',139,610,'arg',502,488,';}',95,492,'smash",{smash:arg}));},MathAccent',139,',_343',93,'c',502,488,466,'atom',605,'accent",c);atom.accent=_343[0];',95,'Add(atom);},NamedOp',139,610,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}',868,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',95,570,'Limits',139,610,115,95,'Last();if(!atom||atom.type!="op"){',106,168,'name+" is allowed only on operators");',524,'atom.limits=data[0];},Macro',139,610,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',747,138,488,';}}text',65,'SubstituteArgs','(args,text);}',145,65,'AddArgs(','text,',131,132,'this.i=0;},',977,56,'(args,_354',93,'text="";var _356="";var c;var i','=0;while(i<','_354',146,'c=','_354.charAt(i','++);',185,'text+=c+',995,'++);}else{if(c=="#"){c=',995,'++);if(','c=="#"){text+=c;}else{if(!c.match(/[1-9]/)||c>args',146,149,'Illegal macro parameter reference");',108,'_356',65,981,'this.AddArgs(_356,text','),args[c-1]);text="";}}else{text+=c;}}}',77,1011,');},AddArgs',56,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',77,'s1+s2;},Replace',139,528,460,'TextAtom(data[0],data[1],data[2],data[3]));},Tilde',139,'){',460,'TextAtom("ord','","&nbsp;","normal"));},HandleLap',139,93,'box',502,'();',213,';}box=',95,492,'lap",{nuc:box,lap:name}));},HandleAtom',139,610,'arg',502,488,';}',460,'Atom(data,arg));},HandleMathCode',139,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',56,'(type,font,code){if(type==7&&',95,100,531,'font=',95,100,';}font=',314,'fam[font];if(!',632,']){',632,']=[];',525,637,')]);}else{',460,'TeXAtom(',314,'atom[type],code,font));}},','HandleVariable',56,'(c',1049,'7,1',',c.charCodeAt(0));},','HandleNumber',56,'(c',1049,'7,0',1078,'HandleOther',56,'(c){',460,1027,'",c,"normal"));},HandleComment',56,129,'c;',142,181,'c=',78,1002,'c=="\\r"||c=="\\n"){return;}}},HandleStyle',139,',_36d){',95,'data.style=_36d[0];',95,492,'style",{style:_36d[0]}));},HandleSize',139,',size){',95,102,'=size[0];',95,492,'size",{size:size[0]}));},HandleFont',139,',font){',95,100,'=font[0];},HandleCS',56,129,'cmd',65,127,'();',213,';}if(this.macros[cmd]){var _373',65,'macros[cmd];',82,'_373',838,'_373=[_373];}this[_373[0]](cmd,_373.slice(1));',524,'if(','this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1136,']);',524,'if(',272,168,'cmd',1137,'cmd,',272,168,'cmd].slice(0,3));',524,149,'Unknown control sequence \'"+',168,'cmd+"\'");},HandleOpen',56,'(){',95,'Open();},HandleClose',56,'(){if(',95,686,'==null){',149,159,'");',524,'var open=',95,'Get(',95,686,');if(!open||','open.left',1164,95,'Close();}else{',149,159,' or missing',697,'");return;}},HandleLeft',139,93,'left',65,254,488,';}',95,'Open(left);},HandleRight',139,93,'_378',65,254,488,466,'open=',95,'Get(',95,686,693,'&&',1175,531,95,'Close(_378);}else{',149,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',139,528,'if(',95,703,531,149,'Ambiguous use of "+',168,212,524,95,703,'=',95,'Length();',95,'data.overF={name:name};if(data.length>0){',95,'data.overF.','left=',272,'data[0]];',95,1232,'right=',272,'data[1]];}else{if(name.match(/withdelims$/)){',95,1232,'left',65,254,488,';}',95,1232,'right',65,254,488,';}}else{',95,1232,'left=null;',95,1232,1238,'null;}}if(name.match(/^above/)){',95,1232,'thickness',481,482,213,1254,95,1232,'thickness=null;}},HandleSuperscript',56,129,'base=',95,117,95,703,'==',95,'Length()){base=null;}if(base==null||(!base',119,456,'box"&&',456,'frac")){base=',460,461,462,'if(',476,'){base=',460,461,'else{',149,'Double exponent',465,';}}base.sup',65,216,'("superscript");',213,';}},HandleSubscript',56,129,'base=',95,117,95,703,'==',95,'Length()){base=null;}if(base==null||(!base',119,456,'box"&&',456,'frac")){base=',460,461,'if(base.sub){',149,'Double subscripts',465,';}base.sub',65,216,'("subscript");',213,';}},Parse',56,129,'c;',142,181,'c=',78,1002,'this.mathchar[c',1137,'c,',1340,']);}else{if(this',60,'c]){this[this',60,'c]](c',');}else{if(','this.letter','.test(c)){this.',1073,'(c',1349,'this.number',1351,1079,'(c);}else{this.',1085,'(c);}}}}}if(',95,686,531,'var open=',95,'Get(',95,686,693,'.left){',149,150,697,698,149,204,'");}}if(',95,703,531,95,'Over();}},Atomize',56,129,'data=',95,'init;if(!this',69,95,710,673,');}},Typeset',56,129,'data=',95,'init;var box',65,'typeset=',95,640,673,');',213,' "<','span class=\\"','error\\">"+',70,'+"</span>";}if(box.format=="null"){return "";}box.Styled().Remeasured();var _383=0;var _384=0;if(box.bh>box.h&&box.bh>jsMath.h','+0.001){_383=1;}if(box.','bd>box.d&&box.bd>jsMath.d',1410,'h>jsMath.h||box.d>jsMath.d){_384=1',466,'html=box.html;if(_383){if(','jsMath.Browser.','allowAbsolute',93,'y=0;if(box.bh>jsMath.h+0.001){y=jsMath.h-box.bh;}html=',894,'Absolute(html,box.w,jsMath.h,0,y,jsMath.h',1349,1416,'valignBug){','html="<span style=\\"line-height:"+jsMath.HTML.Em(jsMath.d',')+";\\">"+',901,'>";}else{var dy=',894,'Em(Math.max(0,box.bd-jsMath.hd)/3);',1425,')+";"+" position:relative; top:"+dy+"; ',898,'dy+"\\">"+',901,'>";}}_384=1;}if(_384){html+=',894,'Blank(0,box.h+0.05,box.d+0.05);}return "<nobr><',1406,'scale\\">"+',901,'></nobr>";}});',59,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',139,93,'_389=',59,'.macros;','_389[name]=["Macro"];for(var i=1;i<arguments',67,'i++){_389[name][_389[name].length]=arguments[i];}}});',519,'={safeRequire:1,Macro',139,',file',93,'_38d=',59,1451,'if(file',1164,'file=name;}_38d[name',']=["Extension",','file];},LaTeX',56,'(env,file',93,'_390=',59,'.',50,';_390[env',1466,'file,"',50,'"];},Font',139,1116,'if(font',1164,'font=name+"10";}var _393=',59,1451,'_393[name',1466,637,')];},MathChar',56,'(font,defs',93,'fam=',314,'famName[font','];if(fam',1164,1494,314,'fam',67,314,'fam[fam]=font;',314,1496,']=fam',466,'_397=',59,'.mathchardef;for(var c in defs){_397[c]=[defs[c][0],fam,defs[c][1]];}},Require',56,'(file,show){if(this.safeRequire&&(file.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(file.match(/:/)&&file.substr(0,jsMath.root.length)!=jsMath.root))){',521,522,']=1;',524,521,'Script(this.URL(file),show);},URL',56,'(file){file=file',88,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',77,'file;}};',1445,90,56,57,521,'Body();','jsMath.Script.','Push(',529,',"','Asynchronous','",obj);},ProcessBeforeShowing',56,57,521,1531,'var _39e=(','jsMath.Controls.cookie.','asynch?"',1536,'":"','Synchronous','");',1532,1533,529,',_39e,obj);}});',529,'={element:[],cancel:0,Parse',56,'(_39f,s,_3a1',93,'_3a2=','jsMath.Global.','cache[_39f];if(!','_3a2[jsMath.em',']){',1561,']={};}var HTML=',1561,'][s];if(!HTML||_3a1',93,'_3a4',98,'s,null,null,_39f);_3a4.Atomize();HTML=_3a4.Typeset();if(!_3a1){',1561,'][s]=HTML;}}',77,'HTML;},TextMode',56,'(s,_3a6){this.Parse("T",s,_3a6);},DisplayMode',56,'(s,_3a8){this.Parse("D",s,_3a8);},','GetElementText',56,'(_3a9',864,'recursiveElementText','(_3a9);_3a9.alt=text;if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1585,'gt;/g,">");',1585,'quot;/g,"\\"");',1585,'amp;/g,"&");}',77,'text;},',1583,56,'(_3ab){if(','_3ab.nodeValue',531,77,1598,';}if(','_3ab.childNodes','.length==0){return " ";}var text="";',970,1603,67,'i++){text+=this.',1583,'(',1603,'[i]);}',77,1594,'ResetHidden',56,'(_3ae){_3ae.innerHTML="<',1406,'jsMath_hiddenSpan\\" style=\\"position:absolute\\"></span>"+',1416,'operaHiddenFix;_3ae.className="";','jsMath.hidden','=_3ae.firstChild;if(!jsMath.BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}jsMath.ReInit();},','ConvertText',56,'(_3af,_3b0',864,1579,'(_3af',');this.ResetHidden(','_3af',');if(text.match(/^\\s*\\\\nocache([^a-zA-Z])/)){','_3b0','=true;text=text.replace(/\\s*\\\\nocache/,"");}text=this.Parse("','T",text,_3b0);_3af','.className="typeset";','_3af','.innerHTML=text;},','ConvertDisplay',56,'(_3b2,_3b3',864,1579,'(_3b2',1632,'_3b2',1634,'_3b3',1636,'D",text,_3b3);_3b2',1638,'_3b2',1640,'ProcessElement',56,'(_3b5){','this.restart','=0;var _3b6=(','_3b5.className','.toLowerCase().match(/(^| )nocache( |$)/)!=null);try','{if(_3b5.tagName.toLowerCase()=="','div"){this.',1641,'(_3b5,_3b6);_3b5.onclick=jsMath.Click.CheckClick;_3b5.ondblclick=jsMath.Click.CheckDblClick',';}else',1663,'span"){this.',1626,1666,';}}}catch(err){if(_3b5.alt',93,'tex=_3b5.alt;','tex=tex.replace','(/&/g,"&amp;");',1675,'(/</g,"&lt;");',1675,'(/>/g,"&gt;");_3b5.innerHTML=tex;',1661,'="math";if(_3b6){',1661,'+=" nocache";}}',1624,';}},','ProcessElements',56,'(k){',1532,'blocking=','1;if(k>=','this.element.length','||','this.cancel','){this.','ProcessComplete','();if(',1695,'){','jsMath.Message.','Set("',90,' Math: Canceled");',1701,'Clear();}',1532,1691,'0;',1532,90,'();}else{','this.ProcessElement(this.element[','k]);if(',1659,'){',1532,1533,'this,"',1687,'",k);',1532,1691,'0;setTimeout("',1532,90,'()",',1416,'delay);}else{k++;var p=Math.floor(100*k/',1693,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',529,'.',1687,'("+k+")",',1416,'delay);}}},',1536,56,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);',1695,'=0;this',538,'=1;',1532,1691,'1;',1732,': 0%",1);setTimeout("',529,'.',1687,'(0)",',1416,'delay);},',1547,56,'(obj,i){if(i==null',1743,'i=0;}this',538,991,1693,'){',1713,'i]);if(',1659,'){','jsMath.Synchronize','("',529,'.',1547,'(null,"+i+")");',1532,90,'();',524,'i++;}this.',1697,'(1);},GetMathElements',56,57,'var _3be=[];if(!obj){obj=','jsMath.document',';}',82,'obj',838,'obj=',1788,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',108,'var math=',1796,'("div','");for(var k=0;k<math.length;k++){if(math[k].className&&math[k].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_3be[_3be.length]=math[k];}}}','math=',1796,'("span',1802,'if(',1416,'renameOK','&&obj','.getElementsByName','){_3be=obj',1811,'("_jsMath_',698,'if(',1622,'.sourceIndex','){_3be.sort(function(a,b){',77,'a',1818,'-b',1818,';});}}',77,'_3be;},',1697,56,'(_3c4){if(',1416,1809,93,'_3c5=',1788,1811,1814,'");for(var i=_3c5.length-1;i>=0;i--){_3c5[i].removeAttribute("name");}}',1624,';this.element=[];if(!_3c4){',1732,': Done");',1701,'Clear();}',1701,'UnBlank();if(',1416,'safariImgBug&&(',1543,'font=="symbol"||',1543,'font=="image")){if(','this.timeout','){clearTimeout(',1853,');}',1853,'=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1859,'(1,0); "+"',529,'.timeout = null",2000);}},Cancel',56,'(){',529,'.cancel=1;if(',1532,'cancelTimer){',1532,'cancelLoad();}}};',1445,'ConvertTeX',56,'(_3c7){',1532,'Push(jsMath.tex2math,"',1874,'",_3c7);},','ConvertTeX2',56,'(_3c8){',1532,1878,1881,'",_3c8);},','ConvertLaTeX',56,'(_3c9){',1532,1878,1888,'",_3c9);},','ConvertCustom',56,'(_3ca){',1532,1878,1895,'",_3ca);},','CustomSearch',56,'(om,cm,od,cd','){',1532,1533,'null,function(){jsMath.tex2math.',1902,1904,');});},tex2math:{',1874,56,446,1881,56,446,1888,56,446,1895,56,446,1902,56,'(){}}});',1772,'=',1532,'Synchronize;try{if(','window.parent','!=window&&window.jsMathAutoload){',1931,'.jsMath=jsMath;',1788,'=',1931,'.document;jsMath.window=',1931,';}}catch(err){}',1559,'Register();jsMath.Loaded();jsMath.Controls.GetCookie();',521,'Source();',1559,'Init();',1532,'Init();',521,'Fonts();if(',1788,'.body){',521,'Body();}',521,'User("onload");}}']
]);
//end = new Date().getTime();
//alert(end-start);
